<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
//* Change History:
//*
//* YYMMDD  F/D#   WHO      Description
//* --------------------------------------------------------------------
//* 030403  15025  mkhil    The japanese currency symbol in the javascript was creating the problem.
//* 030506  15029  johnz    DEU - calculate on usage info displays code for the price
//* 030514  13899  hamid    Do not display the text label "Other" since it was causing confusion.
//* 030617  15424  hamid    Undo part of previous fix and display label as "Other Territory".
//* 030619  15496  hamid    Undo previous fix and use externalized string for comparing "Other".
//*
//* Usage Questions
%>

<%@ page language="java" %>

<% // All JSPs requires the first 4 packages for getResource.jsp which is used for multi language support %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.commerce.server.*" %>
<%@ page import="com.ibm.commerce.command.*" %>
<%@ page import="com.ibm.commerce.user.beans.*" %>
<%@ page import="com.ibm.commerce.order.beans.*" %>
<%@ page import="com.ibm.commerce.order.objects.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.beans.*" %>
<%@ page import="com.ibm.commerce.catalog.objects.*" %>
<%@ page import="com.ibm.commerce.command.CommandContext" %>
<%@ page import="com.ibm.commerce.user.objects.*" %>
<%@ page import="java.math.*" %>
<%@ page import="com.ibm.commerce.datatype.*" %>
<%@ page import="com.ibm.commerce.common.beans.*" %>
<%@ page import="com.ibm.commerce.fulfillment.objects.*" %>
<%@ page import="com.ibm.commerce.payment.beans.*" %>
<%@ page import="com.ibm.commerce.price.beans.FormattedMonetaryAmountDataBean" %>
<%@ page import="com.ibm.commerce.digitalmedia.usage.utils.*" %>
<%@ page import="com.ibm.commerce.digitalmedia.usage.homes.*" %>
<%@ page import="com.ibm.commerce.digitalmedia.usage.commands.*" %>
<%@ page import="com.ibm.commerce.beans.*" %>
<%@ page import="com.ibm.commerce.order.utils.*"   %>
<%@ page import="com.ibm.commerce.webcontroller.*" %>
<%@ page import="com.ibm.commerce.tools.catalog.beans.*" %>

<%@ include file="getResource.jsp"%>

<% response.setContentType(dmstoretext.getString("ENCODESTATEMENT")); %>

<%
CommandContext commandContext = (CommandContext)request.getAttribute(ECConstants.EC_COMMANDCONTEXT);
Long userRefNum = commandContext.getUserId();
String catalogId = request.getParameter("catalogId");
String languageId = request.getParameter("langId");
String storeId = request.getParameter("storeId");
String applyAll = request.getParameter("applyAll");
String orderRn = request.getParameter("orderId");
String currsymbol = request.getParameter("currsymbol");
String decimalCount = dmstoreconfig.getString("WCDMUSAGEDECIMALS");
String decimalSep = dmstoreconfig.getString("WCDMUSAGEDECIMALSEP");
String curr = request.getParameter("curr");
OrderItemDataBean orderItem = null;
OrderItemDataBean [] orderItems = null;
%>

<%
UsageManager um = UsageManager.getInstance();
Vector usagelist = um.getUsageDefinitions(Integer.parseInt(languageId));
int usagelistcount = usagelist.size();
Enumeration e1 = usagelist.elements();
String newusageId = request.getParameter("newusageId"); // The New UsageId selected in the options
if (newusageId == null) {
        newusageId = "1";     // if new usage id not selected from the dropdown then default it to the updated usage id
}

WCDMUsageDefinitionDataImpl currentUsageData = (WCDMUsageDefinitionDataImpl)um.getUsageDefinition(Integer.parseInt(newusageId),Integer.parseInt(languageId));
if (storeId == null) {
        String [] arrstoreId = (String []) request.getAttribute("storeId");
    if (arrstoreId != null)
                storeId = arrstoreId[0];
}

if (languageId == null) {
        String [] arrlanguageId = (String []) request.getAttribute("langId");
    if (arrlanguageId != null)
                languageId = arrlanguageId[0];
}

if (catalogId == null) {
        String [] arrcatalogId = (String []) request.getAttribute("catalogId");
    if (arrcatalogId != null)
                catalogId = arrcatalogId[0];
}

if (orderRn == null) {
        String [] arrorderRn = (String []) request.getAttribute("orderId");
    if (arrorderRn != null)
                orderRn = arrorderRn[0];
}
%>

<jsp:useBean id="orderBean" class="com.ibm.commerce.order.beans.OrderDataBean" scope="page">
<%
orderBean.setOrderId(orderRn);
com.ibm.commerce.beans.DataBeanManager.activate(orderBean, request);
%>
</jsp:useBean>

<%
//Get shop cart items.
orderItems = orderBean.getOrderItemDataBeans();
%>

<script language="JavaScript">
var pointarray = new Array();
var questiondropdownarray = new Array();
var questioncheckboxarray = new Array();
var questionradioarray = new Array();
var questiontextarray = new Array();
var questionmultiselectarray = new Array();
var orderitemlist = new Array();
var orderitembasePrice = new Array();

var usageBasePrice = 0;
var orderitemcount = 0;
var questiontextcount = 0;
var questionradiocount = 0;
var questiondropdowncount = 0;
var questioncheckboxcount = 0;
var questionmultiselectcount = 0;

<%      if (currentUsageData != null) { %>
                usageBasePrice = <%=currentUsageData.getBasePrice()%>;
<%      } %>


// returns the amount formatted with the appropriate number of decimal places and separator
function formatNumber(num, decimals, separator) {

    decimals -= 0;
    var numFormatted = num + "";
    var decimalPos = numFormatted.indexOf(".");
    if (decimals == 0) {
        if (decimalPos > 0) {
            numFormatted = numFormatted.substring(0, decimalPos);
        }
    }
    else {
        var decimalNums = "0000000000";
        if (decimalPos >= 0) {
            if (decimalPos < numFormatted.length) {
                decimalNums = numFormatted.substring(decimalPos+1) + "0000000000";
            }
            numFormatted = numFormatted.substring(0, decimalPos);
        }
        numFormatted = numFormatted + separator + decimalNums.substring(0, decimals);
    }
    return numFormatted;
}

function trimAllSpaces(s) {
        s = trimAllLeadingCharacters(s, " ");
        s = trimAllTrailingCharacters(s, " ");
        return s;
}

function trimAllLeadingCharacters(s, c) {
        if (s == null)
                return ("");
        var allTrimCharacters = true;

        // ------------------------
        // remove leading characters
        // ------------------------
        for (var x=0; x<s.length; x++) {
        if (s.charAt(x) != c.charAt(0)) {
                allTrimCharacters = false;
                break;
        }
        }

        // ------------------------------------------------------
        // return empty string for string of all trim characters
        // ------------------------------------------------------
        if (allTrimCharacters == true) return ("");

        // ---------------------
        // return trimmed string
        // ---------------------
        return(s.substring(x, s.length));
}

function trimAllTrailingCharacters(s, c) {
        if (s == null)
                return ("");
        var allTrimCharacters = true;

        // ------------------------
        // remove leading characters
        // ------------------------
        for (var x=(s.length-1); x>=0; x--) {
        if (s.charAt(x) != c.charAt(0)) {
                allTrimCharacters = false;
                break;
        }
        }

        // ------------------------------------------------------
        // return empty string for string of all trim characters
        // ------------------------------------------------------
        if (allTrimCharacters == true) return ("");

        // ---------------------
        // return trimmed string
        // ---------------------
        return(s.substring(0, x+1));
}

function defined(obj) {
        var str = typeof obj;
        if((str == "undefined") || (obj == null))
        return false;
        else
        return true;
}

function roundNumber(num, decimalNum)
/**********************************************************************
        IN:
                num - the number to format
                decimalNum - the number of decimal places to format the number to
 
        RETVAL:
                The rounded number
 **********************************************************************/
{ 
        if (isNaN(parseInt(num))) return "NaN";

        var tmpNum = num;

        // Round the number to the desired number of decimal places.
        tmpNum *= Math.pow(10,decimalNum);
        tmpNum = Math.round(Math.abs(tmpNum))
        tmpNum /= Math.pow(10,decimalNum);

        return tmpNum;
}

function changeothertext() {
        var thisForm = document.newusageform;
    for (i=0;i<questionmultiselectarray.length;i++) {
        var field = eval("thisForm.MultiQuestion" + questionmultiselectarray[i]);
        var ansfield = eval("thisForm.Question" + questionmultiselectarray[i] + "anstext");
        var quefield = eval("thisForm.Question" + questionmultiselectarray[i]);
        var defans = "";
        if (defined(field)) {
                var count = 0;
            for (nh = 0; nh < field.length; nh++) {
                //d15496: if (field[nh].value.indexOf("Other") != -1) {
                if (field[nh].value.toUpperCase().indexOf("<%=(dmstoretext.getString("USAGEQUESTIONS_OTHER")).toUpperCase()%>") != -1) { //d15496
                        if (field[nh].selected) {
                        ansfield.focus(); //d13899
                        ansfield.onfocus=null;
                        } else {
                        ansfield.value="";
                        ansfield.onfocus=ansfield.blur;
                        }
                    }
                }
        }
        }
}

function convertPrice() {

        var totalprice = usageBasePrice;
    var thisForm = document.newusageform;
    for (i=0;i<questiondropdownarray.length;i++) {
        var field = eval("thisForm.Question" + questiondropdownarray[i]);
        if (defined(field)) {
                var answerId = getDropDownValue(field);
            var points = pointarray[answerId];
            totalprice = totalprice * points;
        }
        }

    for (i=0;i<questionradioarray.length;i++) {
        var field = eval("thisForm.Question" + questionradioarray[i]);
        if (defined(field)) {
                var answerId = getRadioValue(field);
            var points = pointarray[answerId];
            totalprice = totalprice * points;
        }
        }

        for (i=0;i<questioncheckboxarray.length;i++) {
        var field = eval("thisForm.Question" + questioncheckboxarray[i]);
        if (defined(field)) {
                var answerId = getCheckBoxValue(field,questioncheckboxarray[i],check);
            var points = pointarray[answerId];
            totalprice = totalprice * points;
        }
        }

    for (i=0;i<questionmultiselectarray.length;i++) {
        var field = eval("thisForm.MultiQuestion" + questionmultiselectarray[i]);
        var ansfield = eval("thisForm.Question" + questionmultiselectarray[i] + "anstext");
        var quefield = eval("thisForm.Question" + questionmultiselectarray[i]);
        var defans = "";
        if (defined(field)) {
                var count = 0;
            for (nh = 0; nh < field.length; nh++) {
                if (field[nh].selected) {
                        defans = defans + field[nh].value + "|";
                    count = count + 1;
                }
                }
            if (count == 0) {
                count = 1;
                defans = defans + field[0].value + "|";
                if (check != 'nodefault') {
                        field[0].selected = true;
                }
                }

                        var answerId = getcorrectmultiselectanswer(questionmultiselectarray[i],count);
            if (defined(quefield)) {
                quefield.value = answerId;
                }
            if (check == 'submit') {
                if (defined(ansfield)) {
                        ansfield.value = defans + ansfield.value;
                }
                }
                var points = pointarray[answerId];
                totalprice = totalprice * points;
        }
        }

    for (i=0;i<questiontextarray.length;i++) {
        var field = eval("thisForm.Question" + questiontextarray[i] + "anstext");
        if (defined(field)) {
                var fieldvalue = trimAllSpaces(field.value);
            if (fieldvalue != "") {
                answerId = questiontextarray[i] * 10 + 1;
                var points = pointarray[answerId];
                totalprice = totalprice * points;
                }
                }
        }

    var calculatedPrice = 0;
        var qString = "";

    for (i=0;i<orderitemlist.length;i++) {
                var field = eval("thisForm.OrderItem" + orderitemlist[i]);
        var tempfield = eval("thisForm.TempOrderItem" + orderitemlist[i]);
        if (defined(field)) {
                        var orderItemPrice = orderitembasePrice[i] * totalprice;
            orderItemPrice = roundNumber(orderItemPrice, <%=decimalCount%>);
            field.value = orderItemPrice;
                        qString = qString + "&i" + i + "=" + orderItemPrice;
            //tempfield.value = "<%//=currsymbol%>" + formatNumber(orderItemPrice, "<%=decimalCount%>", "<%=decimalSep%>");
            calculatedPrice = calculatedPrice + orderItemPrice;
        }
        }
    calculatedPrice = roundNumber(calculatedPrice, <%=decimalCount%>);
    thisForm.calculatedPrice.value = calculatedPrice;
    //thisForm.tempCalculatedPrice.value = "<%//=currsymbol%>" + formatNumber(calculatedPrice, "<%=decimalCount%>", "<%=decimalSep%>");

        var popFile = '<%=WCS_ITEMDISPLAY%>';
        commandbarWin=window.open(popFile + "?currency=<%=curr%>&page=usagePopup&price=" + calculatedPrice + qString,"UsagePopup","dependent=no,height=1,width=1,screenX=0,screenY=0,resizable=no");
        self.focus();
}

function calculatePrice(check) {
        var totalprice = usageBasePrice;
    var thisForm = document.newusageform;
    for (i=0;i<questiondropdownarray.length;i++) {
        var field = eval("thisForm.Question" + questiondropdownarray[i]);
        if (defined(field)) {
                var answerId = getDropDownValue(field);
            var points = pointarray[answerId];
            totalprice = totalprice * points;
        }
        }

    for (i=0;i<questionradioarray.length;i++) {
        var field = eval("thisForm.Question" + questionradioarray[i]);
        if (defined(field)) {
                var answerId = getRadioValue(field);
            var points = pointarray[answerId];
            totalprice = totalprice * points;
        }
        }

        for (i=0;i<questioncheckboxarray.length;i++) {
        var field = eval("thisForm.Question" + questioncheckboxarray[i]);
        if (defined(field)) {
                var answerId = getCheckBoxValue(field,questioncheckboxarray[i],check);
            var points = pointarray[answerId];
            totalprice = totalprice * points;
        }
        }

    for (i=0;i<questionmultiselectarray.length;i++) {
        var field = eval("thisForm.MultiQuestion" + questionmultiselectarray[i]);
        var ansfield = eval("thisForm.Question" + questionmultiselectarray[i] + "anstext");
        var quefield = eval("thisForm.Question" + questionmultiselectarray[i]);
        var defans = "";
        if (defined(field)) {
                var count = 0;
            for (nh = 0; nh < field.length; nh++) {
                if (field[nh].selected) {
                        defans = defans + field[nh].value + "|";
                    count = count + 1;
                }
                }
            if (count == 0) {
                count = 1;
                defans = defans + field[0].value + "|";
                if (check != 'nodefault') {
                        field[0].selected = true;
                }
                }

                        var answerId = getcorrectmultiselectanswer(questionmultiselectarray[i],count);
            if (defined(quefield)) {
                quefield.value = answerId;
                }
            if (check == 'submit') {
                if (defined(ansfield)) {
                        ansfield.value = defans + ansfield.value;
                }
                }
                var points = pointarray[answerId];
                totalprice = totalprice * points;
        }
        }

    for (i=0;i<questiontextarray.length;i++) {
        var field = eval("thisForm.Question" + questiontextarray[i] + "anstext");
        if (defined(field)) {
                var fieldvalue = trimAllSpaces(field.value);
            if (fieldvalue != "") {
                answerId = questiontextarray[i] * 10 + 1;
                var points = pointarray[answerId];
                totalprice = totalprice * points;
                }
                }
        }

    var calculatedPrice = 0;

    for (i=0;i<orderitemlist.length;i++) {
        var field = eval("thisForm.OrderItem" + orderitemlist[i]);
        var tempfield = eval("thisForm.TempOrderItem" + orderitemlist[i]);
        if (defined(field)) {
            var orderItemPrice = orderitembasePrice[i] * totalprice;
            orderItemPrice = roundNumber(orderItemPrice, <%=decimalCount%>);
            field.value = orderItemPrice;
            tempfield.value = "<%=currsymbol%>" + formatNumber(orderItemPrice, "<%=decimalCount%>", "<%=decimalSep%>");
<%          if(!dmstoreconfig.getString("WCDMENABLEUSAGEPOPUP").equals("YES")) { %>
                var priceDisp = eval("document.getElementById(\"priceDisp" + orderitemlist[i] + "\")");
                priceDisp.firstChild.nodeValue = formatNumber(orderItemPrice, "<%=decimalCount%>", "<%=decimalSep%>");
<%          }   %>
            calculatedPrice = calculatedPrice + orderItemPrice;
        }
        }
    calculatedPrice = roundNumber(calculatedPrice, <%=decimalCount%>);
    thisForm.calculatedPrice.value = calculatedPrice;
    thisForm.tempCalculatedPrice.value = "<%=currsymbol%>" + formatNumber(calculatedPrice, "<%=decimalCount%>", "<%=decimalSep%>");
<%  if(!dmstoreconfig.getString("WCDMENABLEUSAGEPOPUP").equals("YES")) { %>
        var priceDisp = document.getElementById("priceDispAll");
        priceDisp.firstChild.nodeValue = formatNumber(calculatedPrice, "<%=decimalCount%>", "<%=decimalSep%>");
<%  }  %>
}

function getcorrectmultiselectanswer(questionId,count) {
        var continuefalg = true;
    var answerId = questionId * 10 + count;
    while(continuefalg) {
        var points = pointarray[answerId];
        if (points != null) {
                        continuefalg = false;
            break;
        }
        answerId = answerId + 1;
        }
    return answerId;
}

function getDropDownValue(field) {
   return field.options[field.options.selectedIndex].value;
}

function getCheckBoxValue(checkbox,questionId,check) {
        var count = 0;
    for (nh = 0; nh < checkbox.length; nh++) {
        if (checkbox[nh].checked) {
                count = count + 1;
        }
    }

        if (count == 0) {
        count = 1;
        if (check != 'nodefault') {
                        checkbox[0].checked = true;
        }
        }

    var answerId = questionId * 10 + count;
    return (answerId);
}

function getRadioValue(radio) {
        for (nh = 0; nh < radio.length; nh++) {
        if (radio[nh].checked) {
                        return radio[nh].value;
        }
    }

        radio[0].checked = true;
    return radio[0].value;
}

function applyNewPrice() {
        var thisForm = document.newusageform;
    calculatePrice('submit');
    thisForm.action = "<%=WCS_ROOT_RELATIVE_URL%>/servlet/DigitalMediaUsageControllerCmd";
    thisForm.submit();
}
</script>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<head><title><%=dmstoretext.getString("USAGEQUESTIONSALL_TITLE")%></title></head>

<body leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" rightmargin="0" bgcolor="#FFFFFF">

<%
String incfile;
incfile = "/" + storeDir +  "/common/header.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>

<%
incfile = "/" + storeDir +  "/common/sidebar.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>

<table border="0" cellpadding="0" cellspacing="0" width="595">
<tr>
        <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
        <td>
                <table border="0" cellpadding="0" cellspacing="0" width="521">
                <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
                </tr>
                <tr>
                        <td valign="top"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/usage_info.gif" alt="" border="0"><br></td>
                        <td align="right" valign="top"></td>
                </tr>
                <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""></td>
                </tr>
                        </table>
                </td>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
        </tr>
        <tr>
                <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
        </tr>
</table>
<br>

<table>
<tr>
        <td valign="top">
                <form name="newusageform" method="POST" action="<%="OrderItemDisplay"%>"> <% //d13781 %>
                <table>
                <!--
                <tr>
                        <td></td>
                        <td align="right" valign="top">
                        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        <a href="<%=IMAGE_CART_URL%>?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." class="play">Go To Product Cart</a>
                </td>
                </tr>
                -->
                <tr>
                        <td>
                                <%=dmstoretext.getString("USAGEQUESTIONS_USAGEQUE")%> :
                        </td>
                        <td>
                        <select name="newusageId" onchange="javascript:document.newusageform.submit();">
<%                      while (e1.hasMoreElements()) {
                        WCDMUsageDefinitionDataImpl usagedef = (WCDMUsageDefinitionDataImpl) e1.nextElement();
                        String currentUsageId = Integer.toString(usagedef.getUsageId());
                        if (currentUsageId.equals(newusageId)) { %>
                        <option value="<%=currentUsageId%>" selected><%=usagedef.getUsageText()%></option>
<%                      } else { %>
                        <option value="<%=currentUsageId%>"><%=usagedef.getUsageText()%></option>
<%                      }
                        } %>
                        </select>
                        </td>
                </tr>
<%      Vector usageData = null;
        usageData =  um.getUsageDependentQuesAnsData(Integer.parseInt(newusageId),Integer.parseInt(languageId));
                if (usageData != null) {
                        int totalquestions = usageData.size();
                Enumeration e2 = usageData.elements();
                        while(e2.hasMoreElements()) { %>
                <tr>
                        <td>
<%                      WCDMUsageDependentQuesAnsDataImpl depdata = (WCDMUsageDependentQuesAnsDataImpl)e2.nextElement();
                                        String defaultusageanstext = null;
                                        if (depdata != null) {
                                defaultusageanstext = depdata.getUsageAnswerText();
                        WCDMUsageQuestionDataImpl quesdata = (WCDMUsageQuestionDataImpl)depdata.getUsageQuestion();
                        String questionText = quesdata.getQuestionText();//show the question text
                        int questionId = quesdata.getQuestionId();
                        String questionType = quesdata.getQuestionType();
                        String questionstatus = quesdata.getStatus();
                        String othertext = "";
                        boolean showother = false;
                        if (questionstatus.equalsIgnoreCase("A")) {
                                if (questionType.equalsIgnoreCase("R")) { %>
                                                                <script>
                                                                        questionradioarray[questionradiocount] = <%=questionId%>;
                                    questionradiocount++;
                                                                </script>
<%                              } else if (questionType.equalsIgnoreCase("C")) { %>
                                        <script>
                                        questioncheckboxarray[questioncheckboxcount] = <%=questionId%>;
                                        questioncheckboxcount++;
                                </script>
<%                              } else if (questionType.equalsIgnoreCase("S")) { %>
                                <script>
                                        questiondropdownarray[questiondropdowncount] = <%=questionId%>;
                                        questiondropdowncount++;
                                        </script>
<%                              } else if (questionType.equalsIgnoreCase("T")) { %>
                                <script>
                                        questiontextarray[questiontextcount] = <%=questionId%>;
                                        questiontextcount++;
                                </script>
<%                              } else if (questionType.equalsIgnoreCase("M")) { %>
                                <script>
                                        questionmultiselectarray[questionmultiselectcount] = <%=questionId%>;
                                                questionmultiselectcount++;
                                        </script>
<%                              } %>
                <%=questionText%>
                        </td>
                        <td>
<%                                                      String answerlist = "";
                            // If the question is Select box
                            if (questionType.equalsIgnoreCase("S")) {
                                                        answerlist = "<select name=\"Question" + questionId +"\">";
                                                }
                            // If the question is Multi Select box
                            if (questionType.equalsIgnoreCase("M")) { %>
                                <input type="hidden" name="Question<%=questionId%>" value="">
<%                              answerlist = "<select name=\"MultiQuestion" + questionId + "\" onChange=\"javascript:changeothertext();\" multiple>";
                                                        }
                            Vector ansvec = depdata.getUsageAnswers();
                                                if (ansvec != null) {
                                                                Enumeration e3 = ansvec.elements();
                                                        boolean multiselect = true;
                                                        while (e3.hasMoreElements()) {
                                                                        WCDMUsageAnswerDataImpl ansdata = (WCDMUsageAnswerDataImpl)e3.nextElement();
                                                                        int answerId = ansdata.getAnswerId();
                                                                String anstext = ansdata.getAnswerText(); %>
                                                                        <script>
                                                                        pointarray[<%=answerId%>]= <%=ansdata.getPoints()%>;
                                                                        </script>
<%                                  // If the question is a Checkbox
                                                                if (questionType.equalsIgnoreCase("C")) {
                                                                                answerlist = answerlist + "<br><input type=\"checkbox\" name=\"Question" + questionId + "\" value=\"" + answerId + "\">" + anstext;
                                                                } else if (questionType.equalsIgnoreCase("M")) {
                                                                                // if the question is multiselect then only the first record is needed to show the values.
                                        if (multiselect) {
                                                multiselect = false;
                                            if (anstext != null) {
                                                StringTokenizer anstexttok = new StringTokenizer(anstext,"|");
                                                String temp = "";
                                                while (anstexttok.hasMoreTokens()) {
                                                        temp = anstexttok.nextToken();
                                                    if (temp != null) {
                                                        answerlist = answerlist + "<option value=\"" + temp +"\">" + temp + "</option>";
                                                    }
                                                        }
                                                        othertext = "";
                                                showother = false;
                                                // Note: The translation of USAGEQUESTION_OTHER in dmstoretext_locale.properties must match or be
                                                //       a subset of the translation of "Other (please specify) in the wcdmusagedata_locale.sql file.
                                                if (temp.toUpperCase().indexOf((dmstoretext.getString("USAGEQUESTIONS_OTHER")).toUpperCase()) != -1) {
                                                        showother = true;
                                                }
                                                if (defaultusageanstext != null) {
                                                        if (defaultusageanstext.indexOf(temp) != -1) {
                                                        othertext = defaultusageanstext.substring(defaultusageanstext.indexOf(temp) + 1);
                                                        if (othertext.indexOf("|") != -1) {
                                                                othertext = othertext.substring(othertext.indexOf("|") + 1);
                                                        }
                                                        }
                                                }
                                                }
                                                                                }
                                                                } else if (questionType.equalsIgnoreCase("R")) {
                                                                                answerlist = answerlist + "<input type=\"radio\" name=\"Question" + questionId +"\" value=\"" + answerId + "\">" + anstext;
                                                                        } else if (questionType.equalsIgnoreCase("T")) {
                                                                                answerlist = answerlist + "<input type=\"Text\" name=\"Question" + questionId + anstext + "\" value=\"\">";
                                                                } else if (questionType.equalsIgnoreCase("S")) {
                                                                        answerlist = answerlist + "<option value=\"" + answerId + "\">" + anstext + "</option>";
                                                                }
                                }
                                // If the question is Select box or Multi Select box
                                                                if ( (questionType.equalsIgnoreCase("S")) || (questionType.equalsIgnoreCase("M")) ) {
                                        answerlist = answerlist + "</select>";
                                } %>
                                <%=answerlist%>
                        </td>
                </tr>
<%                                                      // If the question is Multi Select box
                                        if (questionType.equalsIgnoreCase("M")) {
                                                                        if (showother) { %>
                <tr>
                        <td><%//d15496=dmstoretext.getString("USAGEQUESTIONS_OTHER")%></td><td><input type="Text" name="Question<%=questionId%>anstext" value="<%=othertext%>"></td> <% //d13899,d15424,d15496 %>
                </tr>
<%                                      } else { %>
                <input type="hidden" name="Question<%=questionId%>anstext" value="">
<%                                                              }
                                                        } %>
        </td>
</tr>
<%                              }
                                                }
                                }
                        }
                        }

                        for (int i = 0; i < orderItems.length; i++) {
                        orderItem = orderItems[i];
                        String orderItemId = orderItem.getOrderItemId();
                        String itemPrice = orderItem.getFormattedTotalProduct().getAmount().toString();
                        String itemBasePrice = orderItem.getField1();
                        if ((itemBasePrice == null) || (itemBasePrice.equals(""))) {
                        itemBasePrice = itemPrice;
                        } else {
                        BigDecimal itemBasePriceBD = new BigDecimal(itemBasePrice);
                        BigDecimal div = new BigDecimal("1000");
                        itemBasePriceBD = itemBasePriceBD.divide(div,2,BigDecimal.ROUND_CEILING);
                        itemBasePrice = itemBasePriceBD.toString();
                        } %>
<tr>
        <td>
        <%=dmstoretext.getString("USAGEQUESTIONSALL_ITEMPRICE")%> <%=i + 1%>
        </td>
        <td>
<%      if(dmstoreconfig.getString("WCDMENABLEUSAGEPOPUP").equals("YES")) { %>
                <input type="text" name="TempOrderItem<%=orderItemId%>" value="" disabled>
<%      }
        else {
%>
                <table>
                <tr>
<%              if(dmstoreconfig.getString("WCDMUSAGECURRENCYONLEFT").equals("YES")) { %>
                        <td>
                                <%=dmstoreconfig.getString("WCDMUSAGECURRENCYSYMBOL")%>
                        </td>
<%              }  %>
                        <td ID="priceDisp<%=orderItemId%>">
                                &nbsp;
                        </td>
<%              if(dmstoreconfig.getString("WCDMUSAGECURRENCYONLEFT").equals("NO")) { %>
                        <td>
                                <%=dmstoreconfig.getString("WCDMUSAGECURRENCYSYMBOL")%>
                        </td>
<%              }  %>
                </tr>
                </table>
                <input type="hidden" name="TempOrderItem<%=orderItemId%>" value="" disabled>
<%      }       %>
        <input type="hidden" name="OrderItem<%=orderItemId%>" value="">
    </td>
</tr>
<script>
    orderitemlist[orderitemcount] = <%=orderItemId%>;
    orderitembasePrice[orderitemcount] = <%=itemBasePrice%>;
    orderitemcount++;
</script>
<%                      } %>

<input type=hidden name="storeId" value="<%= storeId %>">
<input type=hidden name="langId" value="<%= languageId %>">
<input type=hidden name="catalogId" value="<%= catalogId %>">
<input type=hidden name="orderId" value="<%=orderRn%>">
<input type=hidden name="applyAll" value="<%=applyAll%>">
<input type=hidden name="page" value="usagequestionsall">
<tr>
        <td>
                <%=dmstoretext.getString("USAGEQUESTIONSALL_TOTAL")%>
        </td>
        <td>
<%      if(dmstoreconfig.getString("WCDMENABLEUSAGEPOPUP").equals("YES")) { %>
                <input type=text name="tempCalculatedPrice" value="" disabled>
<%      }
        else {
%>
                <table>
                <tr>
<%              if(dmstoreconfig.getString("WCDMUSAGECURRENCYONLEFT").equals("YES")) { %>
                        <td>
                                <%=dmstoreconfig.getString("WCDMUSAGECURRENCYSYMBOL")%>
                        </td>
<%              }  %>
                        <td ID="priceDispAll">
                                &nbsp;
                        </td>
<%              if(dmstoreconfig.getString("WCDMUSAGECURRENCYONLEFT").equals("NO")) { %>
                        <td>
                                <%=dmstoreconfig.getString("WCDMUSAGECURRENCYSYMBOL")%>
                        </td>
<%              }  %>
                </tr>
                </table>
                <input type=hidden name="tempCalculatedPrice" value="" disabled>
<%      }       %>
        <input type=hidden name="calculatedPrice" value="">
        <input type=hidden name="currsymbol" value="<%=currsymbol%>">
        <input type=hidden name="curr" value="<%=curr%>">
        </td>
</tr>

<tr>
        <td>
                <!-- <input type="Button" name="Calculate" value="Calculate" onClick="javascript:calculatePrice('apply');"> -->
<%              if(dmstoreconfig.getString("WCDMENABLEUSAGEPOPUP").equals("YES")) { %>
                        <a href="javascript:convertPrice()"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/calculate.gif" border="0" alt=""></a>
<%              } else { %>
                        <a href="javascript:calculatePrice('')"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/calculate.gif" border="0" alt=""></a>
<%              }       %>
        </td>
        <td>
                <!-- <input type="Button" name="Apply" value="Apply" onClick="javascript:applyNewPrice();"> -->
                <a href="javascript:applyNewPrice()"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/cart/apply.gif" border="0" alt=""></a>
        </td>
</tr>

<tr>
        <td colspan="2">
                <b><%=dmstoretext.getString("USAGEQUESTIONS_NOTE")%>: </b> <%=dmstoretext.getString("USAGEQUESTIONS_MULTI")%>
                <br>
        </td>
</tr>

<script>
        changeothertext();
</script>

</form>
</table>

<script language="javascript">

   calculatePrice('select');
<% if(dmstoreconfig.getString("WCDMENABLEUSAGEPOPUP").equals("YES")) { %>
       convertPrice();
<% } %>

</script>

</td>
<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
</tr>
</table>

<!--MAIN CONTENT ENDS HERE-->

<%
incfile = "/" + storeDir +  "/common/footer.jsp";
%>

<jsp:include page="<%=incfile%>" flush="true"/>

</body>
</html>
