<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">
<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 030205  13762  vaschman add alternate tags - for accessibility
// 030208  14274  hamid    Remove asterisks to not indicate any required fields.
// 030311  14475  vaschman use variables for alternate tags - translation 
// 030312  14584  hamid    Display link to library only if a valid library id has been established.
// 030324  14825  johnz    Advanced search on Dusk/Dawn and Sunrise/Sunset not working
// 030610  15328  hamid    Change list of media types (cameraElement) to match DMAdminMediaUpdate.jsp.
%>

<%
//=============================================================================
//======================= SECTION:  COMMON JSP LOGIC ==========================
//=============================================================================
%>
<%
//--------------------------------------
// INCLUDE:  DigitalMedia JSP FUNCTIONS
//--------------------------------------
%>

<%@ include file="DMJSPFunc.inc" %>
<%@ include file="DMLibraryJSPFunc.inc" %>

<script>
<%@ include file="DMJSFunc.inc" %>
</script>

<%
//=============================================================================
//========================= SECTION:  HTML DOCUMENT ===========================
//=============================================================================
%>

<%
//-----------------------------------
// INCLUDE:  DigitalMedia HTML FORMS
//-----------------------------------
%>

<%@ include file="DMLibraryForms.inc" %>


<HEAD>
  <TITLE><%=dmstoretext.getString("LIBRARY_IMAGE_INFO_TITLE")%></TITLE>
<META name="GENERATOR" content="IBM WebSphere Studio">
</HEAD>

<BODY marginheight="0" marginwidth="0" link="#808080" vlink="#808080" alink="#CC9900">

<%
//============================
// EXCEPTION HANDLING -- BEGIN
//============================
try 
{ 
%>




<%
//-----------------
// INCLUDE:  HEADER
//-----------------
%>
<jsp:include page="DMHeader.jsp" flush="true"/>


<%
//--------------------------------
// INCLUDE:  MEDIACOMMERCE SIDEBAR
//--------------------------------
%>
<jsp:include page="DMSidebar.jsp" flush="true"/>
        
<%
//---------------
// INCLUDE:  BODY
//---------------
%>


<%
//=============================================================================
//========================= SECTION:  JAVA SCRIPLET ===========================
//=============================================================================
%>

<% //Import classes %>
<%@ page import = "java.util.*" %>
<%@ page import = "java.sql.*" %>
<%@ page import = "java.lang.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.mediafolder.utils.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.mediafolder.homes.*" %>


<%
//d13266.sn
// Check whether the default library is available
// If default library not found then create one.
// Initialize the homes.
LibraryManager libmanager = LibraryManager.getInstance();
int libid = 0;
try
{

        //--- Find Library ID
        // Begin D14012 
        // The following method locates the library using the English name, 'Default':
        //libid = libmanager.findDefaultLibraryByOwnerID(activeUserID).getLibraryID();
        // Instead, search for the translated name (jtz)
        libid = 0;
        Vector v1 = libmanager.findLibrariesByNameAndOwnerID(dmstoretext.getString("DEFAULT_LIBRARY_NAME"),activeUserID);
        if (v1 != null)
        {
                Enumeration eimglist = v1.elements();
        if (eimglist != null) 
                {
                if (eimglist.hasMoreElements())
                {
                                LibraryDataImpl lbi = (LibraryDataImpl)eimglist.nextElement();
                                libid = lbi.getLibraryID();
                        }
                }
        }
        if (libid == 0)
        {
                throw new Exception();
        }
        // End D14012 
        
        Message.logMessage("[DMLibraryImageInfo.jsp] Library Found Library Id is" + libid, 1);
}
catch (Exception e)
{
        Message.logMessage("[DMLibraryImageInfo.jsp] Library Not Found Library Id is" + libid, 1);
        try
        {
                libid = libmanager.createLibrary(dmstoretext.getString("DEFAULT_LIBRARY_NAME"),activeUserID).getLibraryID();
        }
        catch(Exception ex)
        {
                String[] args = new String[1];
                Integer iuser = new Integer(activeUserID);
                args[0] = iuser.toString();
                Message.logMessage("[DMLibraryImageInfo.jsp] Could not create a default library for user ["+ args[0] + "]", 0);
                Message.logMessage("[DMLibraryImageInfo.jsp]" + ex, 2);
        }

}
//d13266.en
%>


<%
        // Get the required data for the JSP.
    // Get the Current user name.
        String Shlogid = MediaCommerceServlet.getParameter(request,com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_NAME,false);
    // If current name is null then make it default.
    if ((Shlogid == null) || (Shlogid.equals("")))
        Shlogid = "";
    // Initialize the homes.
    LibraryManager libMan = LibraryManager.getInstance();
        int image_num = Integer.parseInt(MediaCommerceServlet.getParameter(request,"image_num",false));
        int lib_num = Integer.parseInt(MediaCommerceServlet.getParameter(request,LibraryConstants.NVP_LIB_NUM,false));
        //d13266.sn
        if (libid > 0)
        {
                lib_num = libid;
        }
        //d13266.en
        LibraryImgDataFull libImgDataFull = null;
        try {
                
                libImgDataFull = libMan.findLibraryImgFullByPrimaryKey(image_num, lib_num);
                Message.logMessage("[DMLibraryImageInfo.jsp] Found default media data for user [" + activeUserID + "]", 1); //d14274
        }
        catch (Exception e)
        {
                //d13266.sn
                Message.logMessage("[DMLibraryImageInfo.jsp] Creating default media data for user [" + activeUserID + "]", 1); //d14274
                try
                {
                        libImgDataFull = new LibraryImgDataFullImpl();
                        libImgDataFull.setAction("default");
                        libImgDataFull.setLibraryID(lib_num);
                        libImgDataFull.setLowResPath("DefaultLocation");
                        libImgDataFull.setImageID(image_num);
                        libImgDataFull.setStatus("C");  
                        libmanager.updateLibraryImg(libImgDataFull);
                        //Update Default library with new image count 
                        LibraryData libData = libmanager.findLibraryByID(lib_num);
                        libmanager.updateLibrary(libData);
                        
                        libImgDataFull = libmanager.findLibraryImgFullByPrimaryKey(image_num, lib_num);
                }
                catch (Exception exe)
                {
                        Message.logMessage("[DMLibraryImageInfo.jsp] Could not create a default image for user [" + activeUserID + "]", 0);
                        Message.logMessage("[DMLibraryImageInfo.jsp]" + exe.getMessage(), 2);
                }
                //d13266.en
        }
        //String imagePath = WEBOBJECTS_RELATIVE_URL + IMAGE_PREFIX + libImgDataFull.getLocation();
        
        String compPath = "";

        String imagePath = "";
        
        String checked_yes = "";
        String checked_no = "";
        String checked_na = "";
        //String minorRelease = libImgDataFull.getMinorRelease();

%>

<%
//=============================================================================
//============================ JAVASCRIPT FUNCTIONS ===========================
//=============================================================================
%>


<SCRIPT language="javascript">
// ------------------------------
// INCLUDE:  JavaScript Functions
// ------------------------------
<%@ include file="DMJSFunc.inc" %>


function go_to_lib(url, user_id, lib_num) 
{
   var form = document.reloadPageForm;
   
   //--- submit form
   form.action = url;
   if (user_id != null && user_id != "") 
   {
      form.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>.value = user_id;
   }
   if (lib_num != null && lib_num != "") 
   {
      form.lib_num.value = lib_num;
   }
   form.submit();
}

function validatedata() {
        //alert('validating data');
        //alert(document.form.updateImage.<%=LibraryConstants.NVP_RESTRICTION_TEXT%>);
        return (true);
}

function save_changes(form) 
{
        //--- submit form
        if (validatedata()) {
        form.action       = "<%=LIBRARY_IMAGE_UPDATE_CMD%>"; 
        form.url.value    = "<%=LIBRARY_IMAGE_DETAILS_SUCCESS_JSP%>";
        form.submit();
        return (true);
        }
        else
        return (false);
} 

</SCRIPT>

<%
//=============================================================================
//============================ MAIN PAGE INFORMATION ==========================
//=============================================================================
%>

<td valign="top">
        <table border="0" cellpadding="0" cellspacing="0" width="595">
                <!--body header row1-->
                <tr>
        <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
                <td>    
                <table border="0" cellpadding="0" cellspacing="0" width="521">
                        <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
                        </tr>
                        <tr>
                        <td valign="top">
                        <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/default_data.gif" alt="" border="0">
                        </td>
                        <td align="right" valign="top">
                        &nbsp;
                        </td>
                        </tr>
                        <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="5" border="0" alt=""></td>
                        </tr>                   
                </table>
                </td>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="10" border="0" alt=""></td>
                </tr>   
                <!--end body header row1-->
                <!--body line row2-->           
                <tr>
            <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
                </tr>
                <!--end body line row2-->               
                <!--main body content row3-->
                <tr>
        <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
        <td valign="top">               
                
                                <a href="javascript:go_home();"><font color="#0000CC"><%=dmstoretext.getString("DETAILS_HOME")%></font></a> &gt; 
                                <a href="javascript:go_to('<%=LIBRARY_MANAGER_URL%>','<%=activeUserID%>');"><font color="#0000CC"><%=dmstoretext.getString("LIBRARY_MANAGER")%></font></a>&gt;
                                <%
                                if (activeLibraryID >= 0) { //d14584
                                %>
                                    <a href="javascript:go_to_lib('<%=LIBRARY_CONTENTS_URL%>','<%=activeUserID%>','<%=activeLibraryID%>');"><font color="#0000CC"> <%=dmstoretext.getString("LIBRARY")%></font></a>&gt;
                                <%
                                } //d14584
                                %>
                                <%=dmstoretext.getString("LIBRARY_IMAGE_INFO_DEFAULT")%>
                                </font>
                </td>
        </tr>
                
                <tr>
                        <td colspan="2" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                </tr>
                
                <tr>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
                <td>            
                                <font face="Arial, Helvetica, sans-serif" size="1">     <%=dmstoretext.getString("SELLINGTIPSI")%></font>
                </td>
                </tr>
                
                <tr valign="top">
                        <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="10" height="1"></td>
                        <td height="20"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="12"></td>
                </tr>
                
                <tr>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
                <td>                            
                
                
                <!--Start of outside table for alignment purposes-->
                <table border="0" cellspacing="0" cellpadding="0">
                  <tr>  
                  <td>
                  
                <table border="0" cellspacing="0" height="0" width="450" cellpadding="0">
                <tr>
                <td bgcolor="#cccccc" width="1" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" colspan="5" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" width="10" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="2"></td>
        </tr>
        <tr>
                <td bgcolor="#cccccc" width="1" height="1050"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td width="8" height="1050"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="8" height="25"></td>
                <td valign="top" colspan="4" height="1050"> 
                        <table border="0" cellspacing="0" cellpadding="0" width="450">
                        <tr>
                        <td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                </tr>
       
                <tr>
                        <td colspan="2" height="3"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                </tr>
                <tr valign="top">
                        <td colspan="2">
                                                <table cellspacing="0" cellpadding="0" width="400">
                                                <form name="updateImage" method="post" action="<%=LIBRARY_IMAGE_UPDATE_CMD%>">
                
                                                <input type="hidden" name="updateimagestatus" value="C">
                                                <input type="hidden" name="errorurl" value="<%=ERROR_HANDLER_JSP%>">
                                                <input type="hidden" name="lib_num" value="<%=lib_num%>">
                                                <input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_URL%>" value="<%=LIBRARY_IMAGE_DETAILS_JSP%>">
                                                <input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>" value="<%=activeUserID%>">
                                <input type="hidden" name="image_num" value="<%=libImgDataFull.getMetaData("imageid").getAttributeValue()%>">
                                            <tr>
                                <td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="150" height="1"></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif"  height="6"></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="25" height="1"></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="300" height="8"></td>
                                </tr>

                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_IMAGE_ID")%></font></b></td>
                            <td></td><td></td>
                                    <td> <b><font face="Arial, Helvetica, sans-serif" size="1"><%/*libImgDataFull.getImageID()*/%><%=libImgDataFull.getMetaData("imageid").getAttributeValue()%></font></b></td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                        </tr>
                                        
                        <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                <tr>
                                        <td colspan="2" valign="top"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red></font><%=dmstoretext.getString("DETAILS_DESCRIPTION")%></font></b></td> <% //d14274 %>
                                    <td></td>
                                                        <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <textarea name="updateimageDesc" rows="3" cols="30"><%=libImgDataFull.getMetaData("imageDesc").getAttributeValue()%></textarea>
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_CATEGORY")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String catvalue = libImgDataFull.getMetaData("category").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatecategory\" size=\"35\" value=\"<%=catvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatecategory\" size=\"25\" value=\"<%=catvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatecategory\" size=\"15\" value=\"<%=catvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatecategory\" size=\"20\" value=\"<%=catvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updatecategory" size="35" value="<%=libImgDataFull.getMetaData("category").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_SUBCATEGORY")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String subcatvalue = libImgDataFull.getMetaData("subcategory").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"40\" value=\"<%=subcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"30\" value=\"<%=subcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"20\" value=\"<%=subcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatesubcategory\" size=\"35\" value=\"<%=subcatvalue%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updatesubcategory" size="35" value="<%=libImgDataFull.getMetaData("subcategory").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                        
                                                
                                                <tr>
                                                <%  String clipNumber = libImgDataFull.getMetaData("clipNumber").getAttributeValue();
                                                        if (libImgDataFull.getMetaData("imageStatus").getAttributeValue().trim().equals("N")) 
                                                                clipNumber = libImgDataFull.getMetaData("imageID").getAttributeValue();
                                                        %>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red></font><%=dmstoretext.getString("DETAILS_CLIPNUMBER")%></font></b></td> <% //d14274 %>
                                    <td></td><td></td>
                                    <td>                                                                
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"15\" value=\"<%=clipNumber%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"9\" value=\"<%=clipNumber%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"8\" value=\"<%=clipNumber%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateclipNumber\" size=\"10\" value=\"<%=clipNumber%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updateclipNumber" size="10" value="<%=clipNumber%>"> -->
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red></font><%=dmstoretext.getString("HIGH_RES_CLIP_PRICE")%></font></b></td> <% //d14274 %>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String cliphighprice = libImgDataFull.getMetaData("clippricehi").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\"  name=\"updateclippricehi\" size=\"15\" value=\"<%=cliphighprice%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateclippricehi\" size=\"9\" value=\"<%=cliphighprice%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateclippricehi\" size=\"8\" value=\"<%=cliphighprice%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateclippricehi\" size=\"10\" value=\"<%=cliphighprice%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updateclippricehi" size="10" value="<%=libImgDataFull.getMetaData("clippricehi").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red></font><%=dmstoretext.getString("LOW_RES_CLIP_PRICE")%></font></b></td> <% //d14274 %>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String clippricelow = libImgDataFull.getMetaData("clippricelo").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"15\" value=\"<%=clippricelow%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"9\" value=\"<%=clippricelow%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"8\" value=\"<%=clippricelow%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateclippricelo\" size=\"10\" value=\"<%=clippricelow%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>

                                        <!-- <input type="text" name="updateclippricelo" size="10" value="<%=libImgDataFull.getMetaData("clippricelo").getAttributeValue()%>"> -->
                                    </td>
                                </tr>

                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("FILE_SIZE")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String filesize = libImgDataFull.getMetaData("fileSize").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatefileSize\" size=\"15\" value=\"<%=filesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatefileSize\" size=\"9\" value=\"<%=filesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatefileSize\" size=\"8\" value=\"<%=filesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatefileSize\" size=\"10\" value=\"<%=filesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updatefileSize" size="10" value="<%=libImgDataFull.getMetaData("fileSize").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                                        <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("IMAGE_SIZE")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String imagesize = libImgDataFull.getMetaData("imageSize").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageSize\" size=\"15\" value=\"<%=imagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageSize\" size=\"9\" value=\"<%=imagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageSize\" size=\"8\" value=\"<%=imagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageSize\" size=\"10\" value=\"<%=imagesize%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updateimageSize" size="10" value="<%=libImgDataFull.getMetaData("imageSize").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                                                                                <tr>
                                        <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_COMPRESSION")%></font></b></td>
                                    <td></td><td></td>
                                    <td>
                                                        <%
                                                                String compressionval = libImgDataFull.getMetaData("compression").getAttributeValue();
                                                        %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updatecompression\" size=\"15\" value=\"<%=compressionval%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updatecompression\" size=\"9\" value=\"<%=compressionval%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updatecompression\" size=\"8\" value=\"<%=compressionval%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updatecompression\" size=\"10\" value=\"<%=compressionval%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
                                        <!-- <input type="text" name="updatecompression" size="10" value="<%=libImgDataFull.getMetaData("compression").getAttributeValue()%>"> -->
                                    </td>
                                </tr>
                                                

                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                
                        <tr>
                            <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("ERA")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateera" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_HISTORICAL")%>"><%=dmstoretext.getString("DETAILS_HISTORICAL")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_CONTEMPORARY")%>"><%=dmstoretext.getString("DETAILS_CONTEMPORARY")%></option>
                                </select>
                                                                                                                        <script language="javascript">
                                                                var selectedEra = "<%=libImgDataFull.getMetaData("era").getAttributeValue()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateera.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateera.options[x].value == selectedEra) {
                                                                                document.updateImage.updateera.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                                                                

                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                
                        <tr>
                            <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("COLOR")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateimageColor" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="B"><%=dmstoretext.getString("DETAILS_BLACKANDWHITE")%></option>
                                    <option value="C"><%=dmstoretext.getString("COLOR")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedImageColor = "<%=libImgDataFull.getMetaData("imageColor").getAttributeValue()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateimageColor.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateimageColor.options[x].value == selectedImageColor) {
                                                                                document.updateImage.updateimageColor.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_TIMEODAY")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updatetimeOfDay" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_DAY")%>"><%=dmstoretext.getString("DETAILS_DAY")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_NIGHT")%>"><%=dmstoretext.getString("DETAILS_NIGHT")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_SUNRISESET")%>"><%=dmstoretext.getString("DETAILS_SUNRISESET")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_DUSKDAWN")%>"><%=dmstoretext.getString("DETAILS_DUSKDAWN")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedTime = "<%=libImgDataFull.getMetaData("timeOfDay").getAttributeValue()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatetimeOfDay.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatetimeOfDay.options[x].value == selectedTime) {
                                                                                document.updateImage.updatetimeOfDay.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
<tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_INTEXT")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateintExt" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_INTERIOR")%>"><%=dmstoretext.getString("DETAILS_INTERIOR")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_EXTERIOR")%>"><%=dmstoretext.getString("DETAILS_EXTERIOR")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedIntExt = "<%=libImgDataFull.getMetaData("intExt").getAttributeValue()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateintExt.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateintExt.options[x].value == selectedIntExt) {
                                                                                document.updateImage.updateintExt.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
<tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_CAMSPEED")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updatecameraSpeed" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="S"><%=dmstoretext.getString("DETAILS_SLOWMOTION")%></option>
                                    <option value="R"><%=dmstoretext.getString("DETAILS_REALTIME")%></option>
                                    <option value="T"><%=dmstoretext.getString("DETAILS_TIMELAPSE")%></option>
                                    <option value="F"><%=dmstoretext.getString("DETAILS_FASTMOTION")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedSpeed = "<%=libImgDataFull.getMetaData("cameraSpeed").getAttributeValue().trim()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatecameraSpeed.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatecameraSpeed.options[x].value == selectedSpeed) {
                                                                                document.updateImage.updatecameraSpeed.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
<tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_CAMERAELEMENT")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                <select name="updatecameraElement" size="1">
                                    <% /***d15328* %>
                                    <option value="<%=dmstoretext.getString("DETAILS_IMAGE")%>" selected><%=dmstoretext.getString("DETAILS_IMAGE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_VIDEO")%>"><%=dmstoretext.getString("DETAILS_VIDEO")%></option>
                                    <% *d15328***/ %>
                                    <% //--- d15328: BEGIN (following MUST match DMAdminMediaUpdate.jsp) %>
                                    <option value="Image">Image</option>
                                    <option value="Audio">Audio</option>
                                    <option value="Video">Video</option>
                                    <option value="PowerPoint">PowerPoint</option>
                                    <option value="Acrobat">Acrobat</option>
                                    <option value="Excel">Excel</option>
                                    <option value="MSWord">MSWord</option>
                                    <option value="PHOTOSHOP">Photoshop</option>
                                    <option value="HTML">HTML</option>
                                    <option value="TEXT">Text</option>
                                    <option value="Other">Other</option>
                                    <% //--- d15328: END %>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedElement = "<%=libImgDataFull.getMetaData("cameraElement").getAttributeValue().trim()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatecameraElement.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatecameraElement.options[x].value == selectedElement) {
                                                                                document.updateImage.updatecameraElement.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_TIMEPER")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updatetimePeriod" size="1">
                                    <option value=""><%=dmstoretext.getString("DETAILS_NONE")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_PREHISTORIC")%>"><%=dmstoretext.getString("DETAILS_PREHISTORIC")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_ANCIENT")%>"><%=dmstoretext.getString("DETAILS_ANCIENT")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_MODERN")%>"><%=dmstoretext.getString("DETAILS_MODERN")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_1900")%>"><%=dmstoretext.getString("DETAILS_1900")%></option>
                                    <option value="<%=dmstoretext.getString("DETAILS_2000")%>"><%=dmstoretext.getString("DETAILS_2000")%></option> <% //d13867 %>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedPeriod = "<%=libImgDataFull.getMetaData("timePeriod").getAttributeValue().trim()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updatetimePeriod.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updatetimePeriod.options[x].value == selectedPeriod) {
                                                                                document.updateImage.updatetimePeriod.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_RELEASE")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateimageRelease" size="1">
                                                                
                                    <option value="Y" ><%=dmstoretext.getString("YES")%></option>
                                    <option value="N"><%=dmstoretext.getString("NO_CHOICE")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedRelease = "<%=libImgDataFull.getMetaData("imageRelease").getAttributeValue().trim()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateimageRelease.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateimageRelease.options[x].value == selectedRelease) {
                                                                                document.updateImage.updateimageRelease.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                                                <tr>
                                    <td colspan="2"><b><font face="Arial, Helvetica, sans-serif" size="1"><%=dmstoretext.getString("DETAILS_RESTRICTIONS")%></font></b></td>
                                    <td></td>
                                    <td><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15"></td>
                                    <td>
                                        <select name="updateimageRestricts" size="1">
                                    <option value="Y" ><%=dmstoretext.getString("YES")%></option>
                                    <option value="N"><%=dmstoretext.getString("NO_CHOICE")%></option>
                                </select>
                                                                                                                                <script language="javascript">
                                                                var selectedRestriction = "<%=libImgDataFull.getMetaData("imageRestricts").getAttributeValue().trim()%>";
                                                                var x;
                                                                for(x=0;x<document.updateImage.updateimageRestricts.options.length;x++)
                                                                {
                                                                        //alert(document.form1.bkgrnd.options.length);
                                                                        if(document.updateImage.updateimageRestricts.options[x].value == selectedRestriction) {
                                                                                document.updateImage.updateimageRestricts.options[x].selected = true;
                                                                                }
                                                                }
                                                                </script>
                                        </td>
                                </tr>
                                <tr>
                                        <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>
                       <tr>
                                <td colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="10"></td>
                                </tr>

<%
                                                //String keyword_list = libImgDataFull.getKeyWords();
                                                String keyword_list = libImgDataFull.getMetaData("imageKeywords").getAttributeValue();
                                                StringTokenizer st = new StringTokenizer(keyword_list, ",");
                                                Vector keywords = new Vector();
                                                int blnks_cnt = 10 - st.countTokens();
                                                while(st.hasMoreElements())
                                                {
                                                        keywords.addElement(st.nextElement());
                                                }
                                                while(blnks_cnt > 0)
                                                {
                                                        keywords.addElement(null); 
                                                        blnks_cnt--;
                                                }
                                                int i = 0;
                                                while(i < 10)
                                                { 
%>
                                                <tr>
                                                        <td colspan="2" valign="top" height="7">
<%                                                      if(i == 0)
                                                        { %>
                                                                <p><b><font face="Arial, Helvetica, sans-serif" size="1"><font color=red></font><%=dmstoretext.getString("ASSIGN_KEYWORDS")%></font></b></p> <% //d14274 %>
<%                                                      }   
                                                        if(i == 4)
                                                        { %>
                                                                <!-- <b><font face="Arial, Helvetica, sans-serif" size="1"><a href="#"><%=dmstoretext.getString("LIBRARY_BROWSE_KEYWORDS")%>&gt;&gt;</a></font></b> -->
<%                                                      } %>
                                                        </td>
                                                        <td></td>
                                                        <td valign="top">
<%                                                      if(i == 4)
                                                        { %>
                                                                <a href="#"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/but_help_form.gif" width="15" height="15" border="0" alt="<%=dmstoretext.getString("LIBIMGINF1_TAG")%>"></a>
<%                                                      } %>                    
                                                        </td>
                                                        <td height="7">
<%                                                      if(keywords.elementAt(i) != null)
                                                        { %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      }
                                                        else
                                                        { %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      }
                                                        i++;
                                                        if(keywords.elementAt(i) != null)
                                                        { %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"<%=(String)keywords.elementAt(i)%>\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      }
                                                        else
                                                        { %>
                                                                <script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                    if (isNavigator) {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                    } else {
                                                                        document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"9\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 10pt\">');
                                                                        }
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                           document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"10\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                        } else {
                                                                                document.write('<input type=\"text\" name=\"updateimageKeywords\" size=\"15\" value=\"\" maxlength=\"100\" style=\"font-family: verdana, arial,helvetica; font-size: 9pt\">');
                                                                }
                                                            }
                                                        //-->
                                                                </script>
<%                                                      } %>
                                                        </td>
                                                </tr>
<%                                                      i++;
                                                } %>    

</Form>
                                                <tr>
                                                        <td align="right" width="410"><b><font face="Arial, Helvetica, sans-serif" size="1">
                                        <a href="javascript:save_changes(document.updateImage);"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/savemedia.gif" alt="<%=dmstoretext.getString("LIBIMGINF2_TAG")%>" border="0"></a>&nbsp;&nbsp;
                                        </td>
                                                </tr>

                                                
                                                

                 
                 
                                                </table>
                                        </td>
                                        </tr>
                                        </table>                                        
                                </td>
                                <td bgcolor="#cccccc" width="1" height="1050"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                                </tr>
                                <tr>
                <td bgcolor="#cccccc" width="1" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" colspan="5" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
                <td bgcolor="#cccccc" width="10" height="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="2"></td>
                </tr>
                                </table>
                                
                </table>                <!--end of outside table for alignment purposes-->
                
                
                
        </td>           
        </tr>   
</table>

        
</td>
<script language="javascript"> <!--
                                                        if (isMac && !isIE5)
                                                                {
                                                                }
                                                                else
                                                                {
                                                                         if (isNavigator) {
                                                                        } else {
                                                                                document.write('<td bgcolor=\"#000000\" width=\"1\"><img src=\"<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif\" width=\"1\" height=\"15\" border=\"0\"></td>');
                                                                }
                                                            }
                                                        //-->
                                                                </script>

</tr>   
</table>



<%
//-----------------
// INCLUDE:  FOOTER
//-----------------
%>

<jsp:include page="DMFooter.jsp" flush="true"/>


<%
//==========================
// EXCEPTION HANDLING -- END
//==========================
} 
catch (Exception e) 
{
   /***************************************************************************/
   /* Note:  Do NOT dispatch message here since by this point, some HTML code */
   /*        may have already been written and some browsers will NOT display */
   /*        a new HTML page before the current HTML page is completed.       */
   /***************************************************************************/
   
   //--- Set the message
   String msg = dmstoretext.getString("DMCOMMON_TEXT1") + e.toString();
   
   //--- Log the message
   Message.logMessage(msg, 0);
   
   //--- Display the error as part of the current HTML page
%>
   <br><b><%=dmstoretext.getString("ERROR")%></b> <%=msg%>
<%
   
   //--- Print a dump of the exception
   e.printStackTrace();
}
%>

</BODY>
</HTML>
