<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 030131  13758  vaschman add alternate text - accessibility
// 030131  13814  vaschman add table headers to Libary Manager - accessibility 
// 030311  14475  vaschman use variables for alternate tags - translation
// 030514  15034  johnz    pressing reload on libraries screen can cause blank screen

%>

<%
//=============================================================================
//======================= SECTION:  COMMON JSP LOGIC ==========================
//=============================================================================
%>

<%
//--------------------------------------
// INCLUDE:  DigitalMedia JSP FUNCTIONS
//--------------------------------------
%>
<%@ include file="DMJSPFunc.inc" %>
<%@ include file="DMLibraryJSPFunc.inc" %> 
<%@ page import="com.ibm.commerce.utils.TimestampHelper" %>
<script>
<%@ include file="DMJSFunc.inc" %>
</script>
<%
// --------------------------------------------
// Determine the owned and shared library list
// --------------------------------------------
libraryVector = retrieveLibraryList(request, response);
librarySortOrder = getLibrarySortOrder(request);

//--- set navigation page
if (session.getValue("NAV_PAGE") == null)
   session.putValue("NAV_PAGE",  "library_manager");
   
//--- reset the source_url property                         
session.putValue("source_url",  "");
%>

<%
//=============================================================================
//========================= SECTION:  HTML DOCUMENT ===========================
//=============================================================================
%>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<HEAD>
  <TITLE><%=dmstoretext.getString("DMLIBMANAGER_TITLE")%></TITLE>
<META name="GENERATOR" content="IBM WebSphere Studio">
</HEAD>

<BODY link="#808080" vlink="#808080" alink="#CC9900">

<%
//============================
// EXCEPTION HANDLING -- BEGIN
//============================
try 
{	
%>

<%
//-----------------------------------
// INCLUDE:  DigitalMedia HTML FORMS
//-----------------------------------
%>

<%@ include file="DMLibraryForms.inc" %> 


<%
//-----------------
// INCLUDE:  HEADER
//-----------------
%>
<jsp:include page="DMHeader.jsp" flush="true"/>

	
<%
//--------------------------------
// INCLUDE:  MEDIACOMMERCE SIDEBAR
//--------------------------------
%>
<jsp:include page="DMSidebar.jsp" flush="true"/>

<%
//---------------
// INCLUDE:  BODY
//---------------
%>

<%//start of library_manager.inc%>
<%
//=============================================================================
//============================ JAVASCRIPT FUNCTIONS ===========================
//=============================================================================
%>
<SCRIPT language="javascript">


// ---------------------------
// Inline JavaScript Functions
// ---------------------------

function go_sort(form) 
{
 	//--- Do not reload if no sort order has been set
	// d15034 - form will be submitted anyway so must set action (johnz)
   	//if (form.sort_order.value == null || form.sort_order.value == "")
   	//	return;

   	form.action = "<%=LIBRARY_MANAGER_URL%>";
   	form.status.value = "sort_clicked";
   	form.submit();
}

function go_create(lib_num) 
{
   	//--- set static values
   	document.activeLibraryForm.action = "<%=LIBRARY_CREATE_URL%>";
   	document.activeLibraryForm.source_url.value = "<%=LIBRARY_MANAGER_JSP%>";
   	document.activeLibraryForm.status.value = "create_clicked";
   
   	//--- set dynamic values
   	document.activeLibraryForm.lb_num.value = lib_num;
   
   	document.activeLibraryForm.submit();
} 

function go_view(lib_num) 
{
   	//--- set static values
   	document.activeLibraryForm.action = "<%=LIBRARY_CONTENTS_URL%>";
   	document.activeLibraryForm.url.value = "<%=LIBRARY_CONTENTS_JSP%>";
   	document.activeLibraryForm.source_url.value = "<%=LIBRARY_MANAGER_JSP%>";
   	document.activeLibraryForm.status.value = "view_clicked";
    
   	//--- set dynamic values
   	document.activeLibraryForm.<%=LibraryConstants.NVP_LIB_NUM%>.value = lib_num;
   	document.activeLibraryForm.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_NAME%>.value = <%=activeUserID%>;
   	document.activeLibraryForm.submit();
}

function go_rename(lib_num)
{
   	//--- set static values
   	document.activeLibraryForm.action = "<%=LIBRARY_RENAME_URL%>";
   	document.activeLibraryForm.source_url.value = "<%=LIBRARY_MANAGER_JSP%>";
   	document.activeLibraryForm.status.value = "rename_clicked";
   
   	//--- set dynamic values
   	document.activeLibraryForm.lb_num.value = lib_num;
   
   	document.activeLibraryForm.submit();
}

function go_delete(lib_num, lib_name) 
{
	if (confirm("<%=dmstoretext.getString("DELETE_CONFIRM")%> '" + lib_name + "'<%=dmstoretext.getString("QUESTION_MARK")%>")) 
   	{
      	//--- set static values
      	document.activeLibraryForm.action = "<%=LIBRARY_MULTI_DELETE_CMD%>";
      	document.activeLibraryForm.url.value ="<%=LIBRARY_MANAGER_JSP%>";
      	document.activeLibraryForm.status.value = "delete_clicked";
      
      	//--- set dynamic values
      	document.activeLibraryForm.lib_num.value = lib_num;
        document.activeLibraryForm.lib_name.value = lib_name;
      	document.activeLibraryForm.submit();
   	}
}

function go_multi_delete() 
{
   	// set static values
   	document.activeLibraryForm.action = "<%=LIBRARY_MULTI_DELETE_URL%>";
   	document.activeLibraryForm.source_url.value = "<%=LIBRARY_MANAGER_JSP%>";
   	document.activeLibraryForm.status.value = "multi_delete_clicked";
   
   	document.activeLibraryForm.submit();
}

function go_single_upload() 
{
	document.libform.single.value = "true";
	document.libform.submit()
}

function go_multi_upload() 
{
	document.libform.single.value = "";
	document.libform.submit()
}

//Brian.st
function view(activeUserID) 
{
	//--- set static values
   	document.activeLibraryForm.action = "<%=LIBRARY_IMAGE_INFO_URL%>";
   	document.activeLibraryForm.source_url.value = "<%=LIBRARY_CONTENTS_URL%>";
   	document.activeLibraryForm.status.value = "view/edit_clicked";
   
   	//--- set dynamic values
   	document.activeLibraryForm.<%=LibraryConstants.NVP_LIB_NUM%>.value = <%=activeLibraryID%>;
   	document.activeLibraryForm.<%=LibraryConstants.NVP_IMAGE_NUM%>.value = (activeUserID + 900000000);
   
   	document.activeLibraryForm.submit();
}
//Brian.ed

//DCR.sn
function go_index_images()
{
	document.activeLibraryForm.action = "<%=LIBRARY_APPROVAL_URL%>";
   	document.activeLibraryForm.url.value = "<%=LIBRARY_MANAGER_JSP%>";
   	document.activeLibraryForm.source_url.value = "<%=LIBRARY_MANAGER_JSP%>";
	document.activeLibraryForm.approvalstatus.value = "N";
	document.activeLibraryForm.submit();
}

function go_approve_images()
{
	document.activeLibraryForm.action = "<%=LIBRARY_APPROVAL_URL%>";
   	document.activeLibraryForm.url.value = "<%=LIBRARY_MANAGER_JSP%>";
   	document.activeLibraryForm.source_url.value = "<%=LIBRARY_MANAGER_JSP%>";
	document.activeLibraryForm.approvalstatus.value = "T";
	document.activeLibraryForm.submit();
}

function indexed_images()
{
	document.activeLibraryForm.action = "<%=LIBRARY_APPROVAL_URL%>";
   	document.activeLibraryForm.url.value = "<%=LIBRARY_MANAGER_JSP%>";
   	document.activeLibraryForm.source_url.value = "<%=LIBRARY_MANAGER_JSP%>";
	document.activeLibraryForm.approvalstatus.value = "V";
	document.activeLibraryForm.submit();
}

//DCR.en
</SCRIPT>

<%
//=============================================================================
//============================ MAIN PAGE INFORMATION ==========================
//=============================================================================
%>

<td valign="top">
	<table border="0" cellpadding="0" cellspacing="0" width="595">
		<!--body header row1-->
		<tr>
    	<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
		<td>	
		<table border="0" cellpadding="0" cellspacing="0" width="521">
			<tr>
			<td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
			</tr>
			<tr>
			<td valign="top">
			<img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/library_manager.gif" alt="" border="0">
			</td>
			<td align="right" valign="top">
			&nbsp;
			</td>
			</tr>
			<tr>
			<td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="5" border="0" alt=""></td>
			</tr>			
		</table>
		</td>
		<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="10" border="0" alt=""></td>
		</tr>	
		<!--end body header row1-->
		<!--body line row2-->		
		<tr>
	    <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
		</tr>
		<!--end body line row2-->		
		<!--main body content row3-->
		<tr>
    	<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
    	<td valign="top">
		<img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""><br>
		<!-- <a href="javascript:go_home();"> - <%=dmstoretext.getString("DIGITALMEDIA_HOME")%></a> <%=dmstoretext.getString("LIB_MANG_TITLE")%><br> -->
		
		<%
		if (libraryVector != null && !libraryVector.isEmpty()) 
		{ 
%>
    	<FORM name="librarySortForm" method="POST" onSubmit="javascript: go_sort(document.librarySortForm);">
			<b><%=dmstoretext.getString("SORT_LIB_BY")%></b>
           	<select name="sort_order">
           	<option value=""><%=dmstoretext.getString("NONE")%></option>
<% 
           	String sortCol = "";
           	String selectTag = "";
           
           	//--- Add option: SORT BY NAME
           	sortCol = "NAME";
           	if (librarySortOrder != null && librarySortOrder.equals(sortCol))
            	selectTag = "selected";
           	else
            	selectTag = "";
%>
           	<option value="<%=sortCol%>" <%=selectTag%>><%=dmstoretext.getString("NAME")%></option>
<% 
           	//--- Add option: SORT BY IMAGE COUNT
           	sortCol = "IMAGECOUNT";
           	if (librarySortOrder != null && librarySortOrder.equals(sortCol))
            	selectTag = "selected";
           	else
            	selectTag = "";
%>
           	<option value="<%=sortCol%>" <%=selectTag%>><%=dmstoretext.getString("NUMBER_OF_IMAGES")%></option>
<% 
           	//--- Add option: SORT BY MODIFY DATE
           	sortCol = "MODIFYDATE";
           	if (librarySortOrder != null && librarySortOrder.equals(sortCol))
            	selectTag = "selected";
           	else
            	selectTag = "";
%>
           	<option value="<%=sortCol%>" <%=selectTag%>><%=dmstoretext.getString("DATE_MODIFIED")%></option>
           	</select>
           	<input type="hidden" name="status" value="sort">
           	<input type="hidden" name="user_id" value="<%=activeUserID%>">
           	<input type="Image" name="reload" src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/reload.jpg" border="0">
			<p>
         	</FORM>
<%
		} 
%>

		<table border="0" cellpadding="0" cellspacing="0">
			<tr>
			<td bgcolor="#CCCCCC" width="1"></td>
			<td id="librarymanagerONE" bgcolor="#C7D4E6" width="120">&nbsp;&nbsp;<b><%=dmstoretext.getString("LIBRARY_NAME")%>:</b></td>
			<td bgcolor="#FFFFFF" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
			<td id="librarymanagerTWO"bgcolor="#C7D4E6" width="50">&nbsp;&nbsp;<b><%=dmstoretext.getString("IMAGES")%>:</b></td>
			<td bgcolor="#FFFFFF" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
			<td id="librarymanagerTHREE"bgcolor="#C7D4E6" width="110">&nbsp;&nbsp;<b><%=dmstoretext.getString("DATE_MODIFIED")%>:</b></td>
			<td bgcolor="#FFFFFF" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
			<td id="librarymanagerFOUR"bgcolor="#C7D4E6" width="250">&nbsp;&nbsp;<b><%=dmstoretext.getString("DMFOLDERMANAGER_TEXT17")%>:</b></td>
			<td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>						
			</tr>
			
			
			<%
	String recentLibraryIdStr = "";
	String modifyDateStr;

	//--- Process the list of librarie
	if (libraryVector != null) for (int i=0; i<libraryVector.size(); i++) 
	{ 
   		LibraryData lib = (LibraryData)libraryVector.elementAt(i);
   		if (lib != null) 
		{
      		recentLibraryIdStr = String.valueOf(lib.getLibraryID());
      		java.sql.Timestamp modifyDate = lib.getModifyDate();
			if (modifyDate != null)
			{
				if (locale != null)
				{
					modifyDateStr = TimestampHelper.getDateFromTimestamp(modifyDate,locale);
				}
				else
				{
					modifyDateStr = TimestampHelper.getDateFromTimestamp(modifyDate);
				}
			}
			else
			{
				modifyDateStr = "";
			}
			/*
      		if (modifyDate != null) 
			{
         		modifyDateStr = lib.getModifyDate().toString();
         		if (modifyDateStr.length() > 23)
            	modifyDateStr = modifyDateStr.substring(0, 23);
      		} 
			else 
			{
         		modifyDateStr = "";
      		}
			*/
%>
<tr>
	<td bgcolor="#CCCCCC" width="1"></td>
    <td width=120 valign='middle'>&nbsp;&nbsp;<%=lib.getName()%></td>

	<%
		int libImageCount = lib.getImageCount();
		if (lib.getName().equals(dmstoretext.getString("DEFAULT_LIBRARY_NAME")))
			libImageCount--;
			 %>
			 <td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
			<td width="50" class="detail" valign="middle">&nbsp;&nbsp;<%=libImageCount%></td>
			<td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
			<td width="110" class="detail" valign="middle">&nbsp;&nbsp;<%=modifyDateStr%></td>		
			<td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>
			<td width="250" class="play" valign="middle">&nbsp;&nbsp;
			

    	<a href="javascript: go_view(<%=lib.getLibraryID()%>);"><%=dmstoretext.getString("VIEW")%></a>&nbsp;
<%		
  			if (!(lib.getName().equals(dmstoretext.getString("DEFAULT_LIBRARY_NAME"))))
		  	{
%>	  	
		<a href="javascript: go_rename(<%=lib.getLibraryID()%>);"><%=dmstoretext.getString("RENAME")%></a>&nbsp;
        <a href="javascript: go_delete(<%=lib.getLibraryID()%>, '<%=lib.getName()%>');"><%=dmstoretext.getString("DELETE")%></a></font>
<%
		  	}
%>		  
	</td>	
			<td bgcolor="#CCCCCC" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" alt="" border="0"></td>			
			</tr>	
<tr>
    <td></td>
	<td bgcolor="#cccccc"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
    <td bgcolor="#cccccc" colspan="5"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
    <td bgcolor="#cccccc"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/spc.gif" width="1" height="1"></td>
</tr>
<% 
		} 
	} 
%>

<form name="libform" action="<%=LIBRARY_IMAGE_UPLOAD_URL%>">
<input type="hidden" name="errorurl" value="<%=ERROR_HANDLER_JSP%>">
			<input type="hidden" name="single" value="">
			<input type="hidden" name="<%=LibraryConstants.NVP_LIB_NUM%>" value="<%=activeLibraryID%>">
			<input type="hidden" name="<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_USER_ID%>" value="<%=activeUserID%>">			
</form>

			<tr>
			<td bgcolor="#C7D4E6" width="1" colspan="9"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="4" alt="" border="0"></td>
			</tr>
			<tr>
			<td width="20" height="20" colspan="9"></td>
			</tr>
        </TABLE>
		
		</td>
		</tr>
		
		
         <tr>
		 	<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
			<td valign="top">
			&nbsp;&nbsp;&nbsp;<a href="javascript: go_create('<%=recentLibraryIdStr%>');"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/create_new_library.gif" border="0" alt="<%=dmstoretext.getString("LIBMGR1_TAG")%>"></a>			
         <%
		 // DCR.sn
		 if (libraryapprovalprocess)
		 {
		 	if (uploadlist.indexOf(libraryuserrole) != -1)
			{
 		 
		 %>
			&nbsp;&nbsp;&nbsp;<a href="javascript:go_single_upload()"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/upload_single.gif" border="0" alt="<%=dmstoretext.getString("LIBMGR2_TAG")%>"></a>
			&nbsp;&nbsp;&nbsp;<a href="javascript:go_multi_upload();"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/upload_multiple.gif" border="0" alt="<%=dmstoretext.getString("LIBMGR3_TAG")%>"></a>
			
		
		 <% 
		 	}
		 }
		 else
		 {
		 // DCR.en
		 %>
			&nbsp;&nbsp;&nbsp;<a href="javascript:go_single_upload()"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/upload_single.gif" border="0" alt="<%=dmstoretext.getString("LIBMGR2_TAG")%>"></a>
			&nbsp;&nbsp;&nbsp;<a href="javascript:go_multi_upload();"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/upload_multiple.gif" border="0" alt="<%=dmstoretext.getString("LIBMGR3_TAG")%>"></a>

			
		 <%
		 }// DCR.n
		 %>
		
		 	
			
			
			</td>
			</tr>
			
			<tr>
			<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
			<td valign="top">
		<%
		//DCR.sn
		if (libraryapprovalprocess)
		{
		 	if (indexlist.indexOf(libraryuserrole) != -1)
			{
			%>
			&nbsp;&nbsp;&nbsp;<a href="javascript:go_index_images()"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/listimagesforindexing.gif" border="0" alt="<%=dmstoretext.getString("LIBMGR4_TAG")%>"></a>
			<%
			}
			if (approvelist.indexOf(libraryuserrole) != -1)
			{
			%>

			&nbsp;&nbsp;&nbsp;<a href="javascript:go_approve_images()"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/listimagesforapproval.gif" border="0" alt="<%=dmstoretext.getString("LIBMGR5_TAG")%>"></a>
			&nbsp;&nbsp;&nbsp;<a href="javascript:indexed_images()"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/listapprovedimages.gif" border="0" alt="<%=dmstoretext.getString("LIBMGR6_TAG")%>"></a>


			<%
			}
		}
		//DCR.en
		%>
			</td>
			</tr>			
			<%
			//d13266.sn
			%>
			
			<%
		 
		 if (libraryapprovalprocess)
		 {
		 	if (libraryuserrole.equals("0"))
			{
			}
			else
			{
			
 		 
		 %>
		 
			<tr>
			<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
			<td valign="top">&nbsp;&nbsp;&nbsp;<a href="javascript:view(<%=activeUserID%>);"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/edit_default_data.gif" alt="<%=dmstoretext.getString("LIBMGR7_TAG")%>" border="1"></a>
			</td>
			</tr>
			
			<%
			}
		}
		else
		{
		%>
		<tr>
			<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
			<td valign="top">&nbsp;&nbsp;&nbsp;<a href="javascript:view(<%=activeUserID%>);"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/edit_default_data.gif" alt="<%=dmstoretext.getString("LIBMGR7_TAG")%>" border="1"></a>
			</td>
			</tr>
		<%
		}
			//d13266.en
			%>
        

	</table>
	
</td>
<td bgcolor="#000000" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="15" border="0" alt=""></td>
	</tr>	
</table>



<%
//-----------------
// INCLUDE:  FOOTER
//-----------------
%>

<jsp:include page="DMFooter.jsp" flush="true"/>


<%
//==========================
// EXCEPTION HANDLING -- END
//==========================
} 
catch (Exception e) 
{
   /***************************************************************************/
   /* Note:  Do NOT dispatch message here since by this point, some HTML code */
   /*        may have already been written and some browsers will NOT display */
   /*        a new HTML page before the current HTML page is completed.       */
   /***************************************************************************/
   
   //--- Set the message
   String msg = dmstoretext.getString("DMCOMMON_TEXT1") + e.toString();
   
   //--- Log the message
   Message.logMessage(msg, 0);
   
   //--- Display the error as part of the current HTML page
%>
   <br><b><%=dmstoretext.getString("ERROR")%></b> <%=msg%>
<%
   
   //--- Print a dump of the exception
   e.printStackTrace();
}
%>

</BODY>
</HTML>
