<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 030512  15113  johnz    db2 error trying to search from more than one machine

%>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.mm.sdk.common.*" %>
<%@ page import="com.ibm.mm.sdk.server.*" %>
<%@ page import="com.ibm.commerce.digitalmedia.mediafolder.utils.Utility" %>

<%@ include file="DMJSPFunc.inc" %>

<%
DKDatastoreTS dsTS = null;
String cmd = null;
String Image_Number = request.getParameter("imagenumber");
String Image_ID = request.getParameter("image");
String Resolution = request.getParameter("resolution");
DKBlobDL xdoDL = null;
DKLobICM xdoICM = null;
%>
<%!
PropertyResourceBundle mcResourceBundle = null;
String serverType = "";
String server = null;
String userid = null;
String password = null;
String indexclass = null;
String textserver = null;
DKDatastoreDL dsDL = null;
// DKDatastoreICM dsICM = null; d15113 (jtz)

public void jspInit()
{
	try
	{
		mcResourceBundle = com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.getMediaCommerceResourceBundle();
		Message.logMessage("[DMSearchPopUp.jsp::jspinit] Reading the properties file",1);
		// Get the values from the properties file
		serverType = mcResourceBundle.getString(SearchMediaConstants.MEDIA_SERVER_TYPE);
		server = mcResourceBundle.getString(SearchMediaConstants.MEDIA_SERVER_NAME);
		userid = mcResourceBundle.getString(SearchMediaConstants.MEDIA_USER_ID);
		password = mcResourceBundle.getString(SearchMediaConstants.MEDIA_PASSWORD);		
		textserver = mcResourceBundle.getString(SearchMediaConstants.MEDIA_TEXT_SERVER_NAME);

  		if (serverType.equalsIgnoreCase("DL")) {
			dsDL = new DKDatastoreDL();
			Message.logMessage("[DMSearchPopUp.jsp::jspinit] Connecting to DL library server \"" + server + 
				"\" as \"" + userid + "/" + password + "\"", 1);
			dsDL.connect(server, userid, password, "");
        	}
        	else {
            		if (!serverType.equalsIgnoreCase("ICM")) {
				Message.logMessage("[DMSearchPopUp.jsp::jspinit] Cannot get library server type from digitalmedia properties file; assuming ICM", 0);
			}
			// Do not connect; instead we get the connection from the session. d15113 (jtz)
			//dsICM = new DKDatastoreICM();
			//Message.logMessage("[DMSearchPopUp.jsp::jspinit] Connecting to ICM library server \"" + server + 
			//	"\" as \"" + userid + "/" + password + "\"", 1);
			//dsICM.connect(server, userid, password, "");
		}

		Message.logMessage("[DMSearchPopUp.jsp::jspinit] Connected to Library Server",1);	
	}
	catch(DKException exc)
	{
		Message.logMessage("[DMSearchPopUp.jsp::jspinit] DKException : Failed to read digitalmedia properties file or failed to connect to library Server." + exc.toString(),0);
		try
		{
			if (dsDL != null) {
				dsDL.destroy();
			}
			// d15113 (jtz)
			//if (dsICM != null) {
			//	dsICM.destroy();
			//}
			Message.logMessage("[DMSearchPopUp.jsp::jspinit] Disconnected from the library server.",1);
			   
	   		//--- Display the error as part of the current HTML page
   			//--- Print a dump of the exception
   			//exc.printStackTrace();
		}
		catch (Exception e)
		{
		
			Message.logMessage("[DMSearchPopUp.jsp::jspinit] Failed to disconnect from the library server.",0);
		   	//--- Display the error as part of the current HTML page
   			//--- Print a dump of the exception
   			//e.printStackTrace();
			
		}
		dsDL = null;
		// dsICM = null; d15113 (jtz)
	}
	catch (Exception e)
	{
		Message.logMessage("[DMSearchPopUp.jsp::jspinit] Exception : Failed to read digitalmedia properties file or failed to connect to library Server." + e.toString(),0);
		//--- Display the error as part of the current HTML page   
		//--- Print a dump of the exception
		//e.printStackTrace();
		dsDL = null;
		// dsICM = null; d15113 (jtz)
	}
}

public void jspDestroy()
{
	try {
		Message.logMessage("[DMSearchPopUp.jsp::jspdestroy] Disconnecting from Library Server",1);
		if (dsDL != null) {
			dsDL.disconnect();		
			dsDL.destroy();
		}
		// d15113 (jtz)
		//if (dsICM != null) {
		//	dsICM.disconnect();		
		//	dsICM.destroy();
		//}
		Message.logMessage("[DMSearchPopUp.jsp::jspdestroy] Disconnected from Library Server",1);
	}
	catch (DKException exc)
	{
		Message.logMessage("[DMSearchPopUp.jsp::jspdestroy] DKException occured while disconnecting from library server: " + exc.getMessage(),0);
	}
	catch (Exception exc)
	{
		Message.logMessage("[DMSearchPopUp.jsp::jspdestroy] Exception occured while disconnecting from library server: " + exc.getMessage(),0);
	}
}

%>

<html>
<head>
<TITLE><%=dmstoretext.getString("DMSEARCHPOPUP_TITLE")%></TITLE>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>
<body leftmargin=0 topmargin=0 scroll=no bgcolor="#FFFFFF">
<%// start.new %>

<%
DKResults results = null;
DKDDO ddo = null;
String imagetype = null;
String ext = null;
try
{	

	// Get the CM connection from the session. d15113 (jtz)
	DKDatastoreICM dsICM = null;
	if (!serverType.equalsIgnoreCase("DL")) {
		dsICM = (DKDatastoreICM)session.getAttribute(SearchMediaConstants.MEDIA_CM_CONNECTION);
		if (dsICM == null) {
			try {
				server = mcResourceBundle.getString(SearchMediaConstants.MEDIA_SERVER_NAME);
				userid = mcResourceBundle.getString(SearchMediaConstants.MEDIA_USER_ID);
				password = mcResourceBundle.getString(SearchMediaConstants.MEDIA_PASSWORD);
				dsICM = new DKDatastoreICM();
				Message.logMessage("[DMSearchPopUp.jsp] Connecting to ICM library server \"" + server + 
					"\" as \"" + userid + "/" + password + "\"", 1);
				dsICM.connect(server, userid, password, "");
				session.setAttribute(SearchMediaConstants.MEDIA_CM_CONNECTION, dsICM);
			}
			catch (Exception exc) {
				Message.logMessage("[DMSearchPopUp.jsp] DKException : Failed to connect to library Server." + exc.toString(),0);
				dsICM = null;
			}
		}
		if (dsICM != null) {
			Message.logMessage("[DMSearchPopUp.jsp] Connected to Library Server",1);	
		}	
	}

	indexclass = dmstoreconfig.getString("WCDMCMBASEINDEXCLASS");
	if ( (indexclass != null) && (indexclass.equals("*")) )
	{
		indexclass = dmstoreconfig.getString("WCDMCMINDEXCLASS");
	}

	if (serverType.equalsIgnoreCase("DL")) 
	{
		dsTS = new DKDatastoreTS();
		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + dmstoretext.getString("DMCOMMON_LOGMESSAGE22"),1);
		dsTS.connect(textserver,"","","");
		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + dmstoretext.getString("DMCOMMON_LOGMESSAGE23"),1);
		cmd = "SEARCH=(COND=(imageID-" + Image_Number +"));OPTION=(SEARCH_INDEX=" + indexclass + ")";
		results = (DKResults)dsTS.evaluate(cmd, DKConstantDL.DK_TEXT_QL_TYPE, null);
		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + cmd,1);
		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + dmstoretext.getString("DMCOMMON_LOGMESSAGE27"),1);
		dsTS.disconnect();
		dsTS = null;
		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + dmstoretext.getString("DMCOMMON_LOGMESSAGE28"),1);
	}
	else 
	{
        	cmd = "/" + indexclass + "[@imageID=\"" + Image_Number + "\"]";
		DKNVPair options[] = new DKNVPair[3];
		options[0] = new DKNVPair(DKConstant.DK_CM_PARM_MAX_RESULTS, "1");
		options[1] = new DKNVPair(DKConstant.DK_CM_PARM_RETRIEVE,
                       			  new Integer(DKConstant.DK_CM_CONTENT_YES | DKConstant.DK_CM_CONTENT_LINKS_OUTBOUND));
		options[2] = new DKNVPair(DKConstant.DK_CM_PARM_END, null);

		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + cmd,1);
		results = (DKResults)dsICM.evaluate(cmd, DKConstant.DK_CM_XQPE_QL_TYPE, options);
	}
	// put an iterator (iter) on the results collection
	dkIterator iter = results.createIterator();
	ddo = (DKDDO) iter.next(); 
	DKPid pid = new DKPid();
	pid.setPrimaryId(ddo.getPid().getPrimaryId());	
	
	imagetype = request.getParameter("imagetype");
	if ( (imagetype == null) || (imagetype.equals("")))
		imagetype = "IMAGE";
	Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + imagetype,1);
		
	String xdoPath = "";

	//8596.sn only for video check 100 or 300 for everything else always 100.
	int partId = MEDIA_PART_ID_100K; // default
	// if Video, adjust the part type
	if (imagetype.toUpperCase().equals("VIDEO"))
	{
		if (Resolution.equals(DL_RES_300))
		{
			partId = MEDIA_PART_ID_300K;
		}
		else
		{
			Resolution = DL_RES_100;
			partId = MEDIA_PART_ID_100K;
		}
	}
	// otherwise, build path & filename for the retrieved part
	else 
	{
		if ( (imagetype.toUpperCase().equals("IMAGE")) || (imagetype.toUpperCase().equals("PHOTOSHOP")) )
		{
			xdoPath = MEDIA_LOWRES_FULL_DIR + "/" + Image_ID;
		}
		else if ((imagetype.toUpperCase().equals("ACROBAT")) || (imagetype.toUpperCase().equals("HTML")) || (imagetype.toUpperCase().equals("MSWORD")) || (imagetype.toUpperCase().equals("TEXT")) )
		{
			xdoPath = MEDIA_ACROBAT_FULL_DIR + "/" + Image_ID;
		}
		//8596.sn
		else if (imagetype.toUpperCase().equals("AUDIO"))
		{
			xdoPath = MEDIA_VIDEO_FULL_DIR + "/" + Image_ID;
		}
		//8596.en
		else
		{
			xdoPath = MEDIA_LOWRES_FULL_DIR + "/" + Image_ID;
		}
	}

	// Retrieve the part
	if (serverType.equalsIgnoreCase("DL")) 
	{
		// create a new xdo and set it's id
		xdoDL = new DKBlobDL(dsDL);        
		DKPidXDODL  apid = new DKPidXDODL();
		apid.setPartId(partId);
		apid.setItemId(pid.getPrimaryId());
		xdoDL.setPidObject(apid);
		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + dmstoretext.getString("DMCOMMON_LOGMESSAGE24"),1);
		xdoDL.retrieve();
		int contenttype = xdoDL.getContentClass();
		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + dmstoretext.getString("DMCOMMON_LOGMESSAGE25") + contenttype,1);
		ext = Utility.getFileExtension(contenttype);
		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + dmstoretext.getString("DMCOMMON_LOGMESSAGE26"),1);
		xdoDL.getContentToClientFile(xdoPath + "." + ext, 1);
	}
	else 
	{
		// search the ddo for the correct xdo
		DKParts dkParts = (DKParts)ddo.getData(ddo.dataId(DKConstant.DK_CM_NAMESPACE_ATTR,DKConstant.DK_CM_DKPARTS));
		iter = dkParts.createIterator();
       	    	while(iter.more()) 
		{                      
        		DKDDO part = (DKDDO) iter.next();        
			if (part instanceof DKLobICM) {
				if (((DKLobICM)part).getPartNumber() == partId) 
				{
					xdoICM = (DKLobICM)part;
				}
			}
		}
		if (xdoICM != null)
		{
			Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + dmstoretext.getString("DMCOMMON_LOGMESSAGE24"),1);
			xdoICM.retrieve();
			String mimetype = xdoICM.getMimeType();
			Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + dmstoretext.getString("DMCOMMON_LOGMESSAGE25") + mimetype,1);
			ext = Utility.getFileExtension(mimetype);
			Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + dmstoretext.getString("DMCOMMON_LOGMESSAGE26"),1);
			xdoICM.getContentToClientFile(xdoPath + "." + ext, 1);
		}
		else
		{
			Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + "Unable to locate part " + partId + "!", 0);
		}
	}

	%>
	<%
	if (imagetype.toUpperCase().equals("VIDEO"))
	{
		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + MEDIA_VIDEO_FULL_DIR + "/" + Image_ID + Resolution,1);
		if (serverType.equalsIgnoreCase("DL")) 
		{
	%>
			<script>
			document.write('<%response.setContentType("video/quicktime");ServletOutputStream out1 = response.getOutputStream();out1.write(xdoDL.getContent());%>');
			</script>
	<%
		}
		else
		{
	%>
			<script>
			document.write('<%response.setContentType("video/quicktime");ServletOutputStream out1 = response.getOutputStream();out1.write(xdoICM.getContent());%>');
			</script>
	<%
		}
	}
	else if ( (imagetype.toUpperCase().equals("IMAGE")) || (imagetype.toUpperCase().equals("PHOTOSHOP")) )
	{
	%>
		<table>
		<tr>
		<td>
			<img src="<%=MEDIA_POPUP_DIR%><%=MEDIA_LOWRES_DIR%>/<%=Image_ID%>.<%=ext%>">
		</td>
		</tr>
		</table>
	<%
	}
	else if ((imagetype.toUpperCase().equals("ACROBAT")) || (imagetype.toUpperCase().equals("HTML")) || (imagetype.toUpperCase().equals("MSWORD")) || (imagetype.toUpperCase().equals("TEXT")) )
	{
	%>
		<table>
		<tr>
		<td>
		<script>
			window.location.href = "<%=MEDIA_POPUP_DIR%><%=MEDIA_ACROBAT_DIR%>/<%=Image_ID%>.<%=ext%>";
		</script>
		</td>
		</tr>
		</table>
	<%
	}
	//8596.sn
	else if (imagetype.toUpperCase().equals("AUDIO"))
	{
	%>
		<table>
		<tr>
		<td>
		<script>
			window.location.href = "<%=MEDIA_POPUP_DIR%><%=MEDIA_VIDEO_DIR%>/<%=Image_ID%>.<%=ext%>";
		</script>
		</td>
		</tr>
		</table>
	<%
	}
	//8596.en
	else
	{
	%>
		<table>
		<tr>
		<td>
			<img src="<%=MEDIA_POPUP_DIR%><%=MEDIA_LOWRES_DIR%>/<%=Image_ID%>.<%=ext%>">
		</td>
		</tr>
		</table>
	<%
	}
	%>
	<%

	
}
catch(DKException exc)
{
	Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE21") + dmstoretext.getString("DMCOMMON_LOGMESSAGE29") + exc.toString(),0);
	%>
	<%=dmstoretext.getString("DMCOMMON_LOGMESSAGE21")%><%=dmstoretext.getString("DMCOMMON_LOGMESSAGE30")%>
	<%
	try
	{
		if (dsTS != null)
		{
			dsTS.destroy();
			//--- Set the message
			String msg = "Destroying the Text Search Connection as error occured";
   
			//--- Log the message
			Message.logMessage(msg,1);
		}
   
   
   		//--- Print a dump of the exception
   		//exc.printStackTrace();
	}
	catch (Exception e)
	{
		//--- Set the message
		String msg = "Failed to destroy the Text Search Connection.";
   
		//--- Log the message
		Message.logMessage(msg,0); 
   
   		//--- Print a dump of the exception
   		//e.printStackTrace();
	}
}
catch (Exception e)
{
   /***************************************************************************/
   /* Note:  Do NOT dispatch message here since by this point, some HTML code */
   /*        may have already been written and some browsers will NOT display */
   /*        a new HTML page before the current HTML page is completed.       */
   /***************************************************************************/
   
   //--- Set the message
   String msg = dmstoretext.getString("DMCOMMON_TEXT1") + e.toString();
   
   //--- Log the message
   Message.logMessage(msg,0);
   %>   
   <br><b><%=dmstoretext.getString("DMCOMMON_TEXT1")%></b>
   <%
   
   //--- Display the error as part of the current HTML page
   if (msg.indexOf("DGL0391") != -1)
   {
   %>
   <%=dmstoretext.getString("DMCOMMON_TEXT7")%>
   <%
   }
   if (msg.indexOf("3016") != -1)
   {
   %>
   <%=dmstoretext.getString("DMCOMMON_TEXT8")%>
   <%
   }
   %>   

   <%
   
   //--- Print a dump of the exception
   //e.printStackTrace();
}
%>




</body>

</html>
