<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 030130  13742  vaschman Changed alternative text of legend to be consistent with images
// 030308  13740  vaschman have alternate tags for thumbnails
// 030308  14475  vaschman use variable for alternate tags (translation)
// 030512  15113  johnz    db2 error trying to search from more than one machine

%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

 
<%
//=============================================================================
//======================= SECTION:  COMMON JSP LOGIC ==========================
//=============================================================================
%>
<%
//--------------------------------------
// INCLUDE:  MEDIACOMMERCE JSP FUNCTIONS
//--------------------------------------
%>
<%@ page language="java" %>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="java.net.*" %>
<%@ page import="com.ibm.mm.sdk.common.*" %>
<%@ page import="com.ibm.mm.sdk.server.*" %>
<%@ page import="com.ibm.commerce.digitalmedia.mediafolder.utils.Utility" %>
<%@ page import = "com.ibm.commerce.digitalmedia.library.homes.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.library.util.*" %>

<%@ include file="DMJSPFunc.inc" %>
<%@ include file="DMLibraryJSPFunc.inc" %>
<script language="JavaScript">
<%@ include file="DMJSFunc.inc" %>
function viewmedia(prodsku,curimgno,lightboxlist,mediaupdate)
{
	document.ViewDetail.partNumber.value=prodsku;
	document.ViewDetail.imageNumber.value=curimgno;
	if (lightboxlist)
	{
		document.ViewDetail.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>.value = (document.lightbox_menu.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>[document.lightbox_menu.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>.selectedIndex].value);
	}
	document.ViewDetail.action="<%=LIBRARY_ADMIN_UPDATE_URL%>?mediaupdate=" + mediaupdate;
	document.ViewDetail.submit();
}
function deletemedia(prodsku,curimgno,lightboxlist,mediaupdate)
{
	document.ViewDetail.partNumber.value=prodsku;
	document.ViewDetail.imageNumber.value=curimgno;
	if (lightboxlist)
	{
		document.ViewDetail.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>.value = (document.lightbox_menu.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>[document.lightbox_menu.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>.selectedIndex].value);
	}
	document.ViewDetail.action="<%=LIBRARY_ADMIN_UPDATE_URL%>?mediaupdate=" + mediaupdate + "&deletemedia=true";
	document.ViewDetail.submit();
}
</script>


<%!
PropertyResourceBundle mcResourceBundle = null;
String serverType = "";
String server = null;
String userid = null;
String password = null;
DKDatastoreDL dsDL = null;
// DKDatastoreICM dsICM = null; d15113 (jtz)

/**
 * Print Document Part List
 * @param document  CM Document Model Item.
 **/
public static void printDocumentPartList(DKDDO document) throws Exception {
     
	String documentItemId = ((DKPidICM)document.getPidObject()).getItemId();

        // Get the DKParts object.        
        short dataid = document.dataId(DKConstant.DK_CM_NAMESPACE_ATTR,DKConstant.DK_CM_DKPARTS); 
        if(dataid==0)
            throw new Exception("No DKParts Attribute Found!  DDO is either not a CM Document Model Item or Document has not been explicitly retrieved.");
        DKParts dkParts = (DKParts) document.getData(dataid); 
        
        // Print the list        
        Message.logMessage("[DMSearchResult.jsp::printDocumentPartList] Document ("+documentItemId+") Parts:");
        dkIterator iter = dkParts.createIterator();  // Create an Iterator go to through DDO Collection.
        while(iter.more()) {                         // While there are items still to be printed, continue
        	DKDDO part = (DKDDO) iter.next();    // Move pointer to next element & return that object.
            	Message.logMessage("[DMSearchResult.jsp::printDocumentPartList]     Item Id:  "+((DKPidICM)part.getPidObject()).getItemId() +" ("+part.getPidObject().getObjectType()+")");
        }
}

public void jspInit()
{
	try
	{
		mcResourceBundle = com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.getMediaCommerceResourceBundle();
		Message.logMessage("[DMSearchResult.jsp::jspinit] Reading the properties file",1);
		// Get the values from the properties file
		serverType = mcResourceBundle.getString(SearchMediaConstants.MEDIA_SERVER_TYPE);
		server = mcResourceBundle.getString(SearchMediaConstants.MEDIA_SERVER_NAME);
		userid = mcResourceBundle.getString(SearchMediaConstants.MEDIA_USER_ID);
		password = mcResourceBundle.getString(SearchMediaConstants.MEDIA_PASSWORD);
  		if (serverType.equalsIgnoreCase("DL")) {
			dsDL = new DKDatastoreDL();
			Message.logMessage("[DMSearchResult.jsp::jspinit] Connecting to DL library server \"" + server + 
				"\" as \"" + userid + "/" + password + "\"", 1);
			dsDL.connect(server, userid, password, "");
        	}
        	else {
            		if (!serverType.equalsIgnoreCase("ICM")) {
				Message.logMessage("[DMSearchResult.jsp::jspinit] Cannot get library server type from digitalmedia properties file; assuming ICM", 0);
			}
			// Do not connect; instead we get the connection from the session. d15113 (jtz)
			//dsICM = new DKDatastoreICM();
			//Message.logMessage("[DMSearchResult.jsp::jspinit] Connecting to ICM library server \"" + server + 
			//	"\" as \"" + userid + "/" + password + "\"", 1);
			//dsICM.connect(server, userid, password, "");
		}
		Message.logMessage("[DMSearchResult.jsp::jspinit] Connected to Library Server",1);	
	}
	catch(DKException exc)
	{
		Message.logMessage("[DMSearchResult.jsp::jspinit] DKException : Failed to read digitalmedia properties file or failed to connect to library Server." + exc.toString(),0);
		try
		{
			if (dsDL != null) {
				dsDL.destroy();
			}
			// d15113 (jtz)
			//if (dsICM != null) {
			//	dsICM.destroy();
			//}
			Message.logMessage("[DMSearchResult.jsp::jspinit] Disconnected from the library server.",1);
			   
	   		//--- Display the error as part of the current HTML page
   			//--- Print a dump of the exception
   			//exc.printStackTrace();
		}
		catch (Exception e)
		{
		
			Message.logMessage("[DMSearchResult.jsp::jspinit] Failed to disconnect from the library server.",0);
		   	//--- Display the error as part of the current HTML page
   			//--- Print a dump of the exception
   			//e.printStackTrace();
			
		}
		dsDL = null;
		// dsICM = null; d15113 (jtz)
	}
	catch (Exception e)
	{
		Message.logMessage("[DMSearchResult.jsp::jspinit] Exception : Failed to read digitalmedia properties file or failed to connect to library Server." + e.toString(),0);
		//--- Display the error as part of the current HTML page   
		//--- Print a dump of the exception
		//e.printStackTrace();
		dsDL = null;
		// dsICM = null; d15113 (jtz)
	}
}

public void jspDestroy()
{
	try {
		Message.logMessage("[DMSearchResult.jsp::jspdestroy] Disconnecting from Library Server",1);
		if (dsDL != null) {
			dsDL.disconnect();		
			dsDL.destroy();
		}
		// d15113 (jtz)
		//if (dsICM != null) {
		//	dsICM.disconnect();		
		//	dsICM.destroy();
		//}
		Message.logMessage("[DMSearchResult.jsp::jspdestroy] Disconnected from Library Server",1);
	}
	catch (DKException exc)
	{
		Message.logMessage("[DMSearchResult.jsp::jspdestroy] DKException occured while disconnecting from library server: " + exc.getMessage(),0);
	}
	catch (Exception exc)
	{
		Message.logMessage("[DMSearchResult.jsp::jspdestroy] Exception occured while disconnecting from library server: " + exc.getMessage(),0);
	}
}
 
%>

<% //for guest shoppers, get the storeid,langid and catalog id from the
  // request object %>
<%
Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE13") + new java.sql.Timestamp(new java.util.Date().getTime()),1);
if (activeUserID < 1)
{
	if ((storeId == null) || (storeId.equals("")))
	{
		storeId = request.getParameter("storeId");
		if ((storeId == null) || (storeId.equals("")))
		{
			storeId = (String)request.getAttribute("storeId");
		}
		
	}
	if ((catalogId == null) || (catalogId.equals("")))
	{
		catalogId = request.getParameter("catalogId");
		if ((catalogId == null) || (catalogId.equals("")))
		{
			catalogId = (String)request.getAttribute("catalogId");
		}
	}
	if ((languageId == null) || (languageId.equals("")))
	{
		languageId = request.getParameter("langId");
		if ((languageId == null) || (languageId.equals("")))
		{
			languageId = (String)request.getAttribute("langId");
		}
	}
}
%>
<%
// when one adds to cart the control comes back with this search page but all
// the parameters are encrypted. So inorder to overcome this we call the orderitemadd
// with no https and while coming back we put the https.
String servername = MediaCommerceServlet.getUrlBase(request);
String servernamewithouts = MediaCommerceServlet.getUrlBase(request);
int itest = servername.indexOf("https");
if (itest != -1)
{
	servernamewithouts = "http" + servername.substring(5);
}
%>
<%
// common variables used between contentmanager search and db2 search
// 10064.sn
String addorderbackurl = servername + MEDIA_IMAGE_DISPLAY_URL;
String addmediabackurl = MEDIA_ADD_IMAGE_DISPLAY_JSP;
String mediadisplayurl = MEDIA_IMAGE_DISPLAY_URL;
String mediadetailurl = MEDIA_IMAGE_DETAIL_URL;
String mediasearchurl = MEDIA_SEARCH_SERVLET;
int curimgno = 0;
// 10064.en
%>

<%
// --------------------------------------------
// Determine the owned lightbox list
// --------------------------------------------
boolean lightboxlist = true; // if there is a lightbox present.

if (activeUserID > 0)
{
	lightboxVector = retrieveLightboxList(request, response);
	String ownedLightboxIDs = extractLightboxIDs(lightboxVector, request,true);
	if ((ownedLightboxIDs.equals("")) || (ownedLightboxIDs == null))
	{
		lightboxlist = false;
	}
}
else
{
	lightboxlist = false;
}
%>

<% 
//HttpSession hs = request.getSession();
// Get the CM connection from the session. d15113 (jtz)
DKDatastoreICM dsICM = null;
if (!serverType.equalsIgnoreCase("DL")) {
	dsICM = (DKDatastoreICM)session.getAttribute(SearchMediaConstants.MEDIA_CM_CONNECTION);
	if (dsICM == null) {
		try {
			server = mcResourceBundle.getString(SearchMediaConstants.MEDIA_SERVER_NAME);
			userid = mcResourceBundle.getString(SearchMediaConstants.MEDIA_USER_ID);
			password = mcResourceBundle.getString(SearchMediaConstants.MEDIA_PASSWORD);
			dsICM = new DKDatastoreICM();
			Message.logMessage("[DMSearchResult.jsp] Connecting to ICM library server \"" + server + 
				"\" as \"" + userid + "/" + password + "\"", 1);
			dsICM.connect(server, userid, password, "");
			session.setAttribute(SearchMediaConstants.MEDIA_CM_CONNECTION, dsICM);
		}
		catch (Exception exc) {
			Message.logMessage("[DMSearchResult.jsp] DKException : Failed to connect to library Server." + exc.toString(),0);
			dsICM = null;
		}
	}
	if (dsICM != null) {
		Message.logMessage("[DMSearchResult.jsp] Connected to Library Server",1);	
	}	
}

Vector result = (Vector)session.getAttribute(SearchMediaConstants.MEDIA_SEARCH_RESULT);
String incr = null;
String startimage = null;

incr = request.getParameter(SearchMediaConstants.MEDIA_INCREMENT_BY);
startimage = request.getParameter(SearchMediaConstants.MEDIA_START_IMAGE_NO);

if ((incr == null) || (incr.equals("")))
{
	incr = (String)session.getAttribute(SearchMediaConstants.MEDIA_INCREMENT_BY);
	if ((incr == null) || (incr.equals("")))
		incr = MEDIA_DEFAULT_DISPLAY;
}
else
{
	session.setAttribute(SearchMediaConstants.MEDIA_INCREMENT_BY,incr);
}
if ((startimage == null) || (startimage.equals("")))
{
	startimage = (String)session.getAttribute(SearchMediaConstants.MEDIA_START_IMAGE_NO);
	if ((startimage == null) || (startimage.equals("")))
		startimage = "0";
}
else
{
	session.setAttribute(SearchMediaConstants.MEDIA_START_IMAGE_NO,startimage);
}
%>

<%

String ext = null; 				// Extension
String imageid = null; 			// image id (60010)
String clipno = null; 			// clip number (1111SHS-0988)
String imageNo = null; 			// image name with extension
String searchval = "";			// Search Text criteria.
String shortdescription = "";	// Short Description from the Product Display
String duration = "";			// Image duration.
String cdsku = "";				// CD SKU.
String imagetype = "";			// Image is Low Res/Video/Acrobat
Enumeration e1 = null;
%>

<%
// Handling of the Images per page and no of pages shown on a single page
int totalimages = 0; 			// total images found.
if (result != null)
{
	e1 = result.elements();
	totalimages = result.size(); // total images retrieved.
}

int incrimg = Integer.parseInt(incr); // images on a single page
int startimg = Integer.parseInt(startimage); // start image number
int endimg = startimg + incrimg; // end image number
if (endimg > totalimages)
{
	endimg = totalimages; // or end image number is the last image.
}
int images = 0; 				// images shown in this page
images = endimg - startimg; // no of images to be shown on this page.
int column = 0;

// variables for displaying the pages links.
// if images more than 10 then show set of 10 pages
int pagesdisp = 10; // 10 pages to be displayed at a single time
int startindex = 1; 
int endindex = pagesdisp;
int imgstrt = 0;
int remimg = 0;
%>


<%
searchval = request.getParameter(SearchMediaConstants.MEDIA_SEARCH_CM_START + SearchMediaConstants.MEDIA_CM_IMAGE_KEYWORDS);
shortdescription = request.getParameter("shortdescription");


%>
<%
//7127.sn
String loc = "shortdescription=" + shortdescription;
loc = loc + "&" + SearchMediaConstants.MEDIA_SEARCH_CM_START + SearchMediaConstants.MEDIA_CM_IMAGE_KEYWORDS + "=" + URLEncoder.encode(searchval);
session.setAttribute("MCURLLOC",loc);
//7127.en
%>
<%@ include file="DMSearchPlayIt.inc" %> <%//8596.n%>

<%
//=============================================================================
//========================= SECTION:  HTML DOCUMENT ===========================
//=============================================================================
%>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<HEAD>
<TITLE><%=dmstoretext.getString("DMSEARCHRESULT_TITLE")%></TITLE>
<%@ include file="DMQuickTime.inc" %>
</HEAD>

<BODY marginheight="0" marginwidth="0" link="#808080" vlink="#808080" alink="#CC9900" bgcolor="#FFFFFF">

<%

//============================
// EXCEPTION HANDLING -- BEGIN
//============================
try {
	
%>
<%
//-----------------
// INCLUDE:  HEADER
//-----------------
%>
<jsp:include page="DMHeader.jsp" flush="true"/>


<%
//--------------------------------
// INCLUDE:  MEDIACOMMERCE SIDEBAR
//--------------------------------
%>
<jsp:include page="DMSidebar.jsp" flush="true"/>


<%
//---------------
// INCLUDE:  BODY
//---------------
%>


<!--BEGIN BODY CONTENT-column3-->
	<td valign="top">	
	<table border="0" cellpadding="0" cellspacing="0" width="595">
		<!--body header row1-->
		<tr>
    	<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
		<td>	
		<table border="0" cellpadding="0" cellspacing="0" width="521">
			<tr>
			<td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
			</tr>
			<tr>
			<td valign="top">
			<img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/search/search_results_header.gif" alt="" border="0"><br><span class="darkgrey"><%=totalimages%> <%=dmstoretext.getString("DMCOMMON_TEXT11")%></span> 
			<span class="bold">
			<%
			if ((shortdescription == null) || (shortdescription.equals("")) || (shortdescription.equals("null")))
			{
			%>
				<%=searchval%>
			<%
			}
			else
			{
			%>
				<%=shortdescription%>
			<%
			}
			%>			
			</b></span>
			</td>
			<td align="right" valign="top">
			</td>
			</tr>
			<tr>
			<td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""></td>
			</tr>			
		</table>
		</td>
		<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
		</tr>	
		<!--end body header row1-->
		
		<!--body line row2-->		
		<tr>
	    <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
		</tr>
		<!--end body line row2-->		
		<!--main body content row3-->						
		<tr>
    	<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
    	<td valign="top">
		<table border="0" cellpadding="0" cellspacing="0">
			<tr>
			<td colspan="2">
			<p><br><span class="darkgrey"><%=dmstoretext.getString("DMSEARCHRESULT_TEXT1")%></span><br><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="10" alt="" border="0">
			</td>
			</tr>
			<tr>
			<%
			if (activeUserID < 0)
			{
			%>
			<td class="play">
				<%
   String displaymessage = "";
   String msg_args[] = new String[1];  
   msg_args[0] = "<A href=\"" + WCS_REGISTRATION + "?new=Y&catalogId=" + catalogId + "&storeId=" + storeId + "&langId=" + languageId + "\" class=\"play\">";
   displaymessage = java.text.MessageFormat.format(dmstoretext.getString("DMSEARCHRESULT_TEXT2"),msg_args);
   displaymessage = displaymessage + "</a>";
   %>
	<b><%=displaymessage%></b>
	

			</td>
			<%
			}
			else
			{
			%>
			<td class="small">
				<%@ include file="DMSearchAllFolderDropDown.inc" %>
			</td>			
			<%
			}
			%>

			<td align="right" valign="top">
			<img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/search/rf_legend.gif" vspace="6" alt="" border="0"><br>
			<%
			if (libraryapprovalprocess)
			{
		 		if (approvelist.indexOf(libraryuserrole) != -1)
				{
				%>
					<img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/liblegend.gif" vspace="6" alt="" border="0"><br>
				<%
				}
			}
			%>
			<%

			if (activeUserID > 0)
			{
			%>		
			<a href="<%=IMAGE_CART_URL%>?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." class="play">
			<%
			}
			else
			{
			%>
			<a href="javascript:pleaseregister();">
			<%
			}
			%>
			<%=dmstoretext.getString("DMCOMMON_TEXT9")%></a>	
			<br>
			</td>			
			</tr>	
			<tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="10" alt="" border="0"></td></tr>	
			<tr><td background="<%=WEBOBJECTS_RELATIVE_URL%>/images/search/results_graybar.gif" height="18" width="500" align="right" colspan="2" class="searchnumber">
			<%
			int showlink = 0;
			%>
			<%@ include file="DMSearchPagesBar.inc" %>
			&nbsp;&nbsp;</td></tr>	
			<tr>
			<td colspan="2">
			<table border="0" cellpadding="8" cellspacing="0" width="100%">
				<tr>
				<%
				if ( (dsDL != null) || (dsICM != null) )
				{
				for(int ii=startimg; ii<endimg;ii++)
				{		
					DdoInfo currec = (DdoInfo)result.elementAt(ii);
					DKPid pid = new DKPid();
					pid.setPrimaryId(currec.getPidString());
					DKDDO ddo = null;
					if (dsDL != null) {
						ddo = new DKDDO(dsDL, pid);
						ddo.retrieve();
					}
					else if (dsICM != null) {
						ddo = dsICM.createDDO(currec.getPidString());
						ddo.retrieve(DKConstant.DK_CM_CONTENT_ITEMTREE);
					}

					imageid = (String)ddo.getDataByName(SearchMediaConstants.MEDIA_CM_IMAGE_ID);
					clipno = (String)ddo.getDataByName(SearchMediaConstants.MEDIA_CM_CLIP_NUMBER);
					duration = (String)ddo.getDataByName(SearchMediaConstants.MEDIA_CM_DURATION);
					cdsku = (String)ddo.getDataByName(SearchMediaConstants.MEDIA_CM_CD_SKU);
					imagetype = (String)ddo.getDataByName(SearchMediaConstants.MEDIA_CM_CAMERA_ELEMENT);

					if ( (imagetype == null) || (imagetype.equals("")))
						imagetype = "IMAGE";
					//media.new.start
					//check if thumbnail is there, is not then then retrieve it
					// check  the directory 10/60010
					/*
					String checkimgdir = imageid.substring(imageid.length() - 2,imageid.length());
					String checkcompPath = "d:/WebSphere/WCS/stores/web/ManiSekani/lightbox/thumbnails" + "/" + checkimgdir + "/";
					if (!(new File(checkcompPath).isDirectory()))
					{						
						new File(checkcompPath).mkdirs();
					}
					// Check whether the image exists in the file system.				
					File f1 = new File(checkcompPath);
					File[] f2 = f1.listFiles(new InnerFile(imageid));
					boolean checkflag = false;
					String thumbPath = null;
					if (f2.length > 0)
					{
						checkflag = true;
						thumbPath = f2[0].toString();
						currec.setThumbnailType(thumbPath.substring(thumbPath.indexOf(".") + 1));
					}
					// If image does not exists then create one.
					if (! checkflag)
					{
						Message.logMessage("File Not Found");
						Message.logMessage("[DMSearchResult.jsp::performTask] Search: ThumbNail Image does not exist");
						if (dsDL != null) {
							DKBlobDL xdo = new DKBlobDL(dsDL);        
							DKPidXDODL  apid = new DKPidXDODL();
							apid.setPartId(MEDIA_PART_ID_THUMBNAIL);
							apid.setItemId(pid.getPrimaryId());	   				
							xdo.setPidObject(apid);
							xdo.retrieve();
							ext = Utility.getFileExtension(xdo.getContentClass());
							currec.setThumbnailType(ext);
							//thumbPath = compPath + curddoinfo.getImageId() + "." + ext;
							thumbPath = checkcompPath + imageid + "." + ext;					
							xdo.getContentToClientFile(thumbPath,1);
							Message.logMessage("[DMSearchResult.jsp::performTask] Search: Created the ThumbNail Image:" +  thumbPath);
						}
						else {
							//NOTE: if this code is ever used must add code for CM8 here!
							//DKLobICM xdo = (DKLobICM)dsICM.createDDO(lobPidString);
						}
					}
					*/				
					//media.new.end
					
					ext = currec.getThumbnailType();
					imageNo = imageid + "." + ext;
					String imgdir = imageid.substring(imageid.length() - 2,imageid.length());
					String iconslink = "icons" + imageid;
					String libraryiconslink = "libraryicons" + imageid;
				%>
<%

if (activeUserID > 0)
{	
%>
<map name="<%=iconslink%>">
<area alt="<%=dmstoretext.getString("SCHRES1_TAG")%>" coords="0,0,31,15" href="javascript: add_to_lightbox(<%=imageid%>,<%=lightboxlist%>);">
<area alt="<%=dmstoretext.getString("SCHRES2_TAG")%>" coords="33,0,62,14" href="javascript:viewcdtitle(<%=cdsku%>);">
<area alt="<%=dmstoretext.getString("SCHRES3_TAG")%>" coords="64,0,96,15" href="javascript:viewimage(<%=imageid%>,<%=ii%>,<%=lightboxlist%>);">
<area alt="<%=dmstoretext.getString("SCHRES4_TAG")%>" coords="0,16,46,32" href="javascript:add_high_to_cart(<%=imageid%>,<%=lightboxlist%>);">
<area alt="<%=dmstoretext.getString("SCHRES5_TAG")%>" coords="48,16,96,32" href="javascript:add_low_to_cart(<%=imageid%>,'<%=clipno%>',<%=lightboxlist%>);">
</map>

<map name="<%=libraryiconslink%>">
<area alt="<%=dmstoretext.getString("SCHRES6_TAG")%>" coords="0,0,31,15" href="javascript:viewmedia(<%=imageid%>,<%=ii%>,<%=lightboxlist%>,'false');">
<area alt="<%=dmstoretext.getString("SCHRES7_TAG")%>" coords="33,0,62,14" href="javascript:viewmedia(<%=imageid%>,<%=ii%>,<%=lightboxlist%>,'true');">
<area alt="<%=dmstoretext.getString("SCHRES8_TAG")%>" coords="64,0,96,15" href="javascript:deletemedia(<%=imageid%>,<%=ii%>,<%=lightboxlist%>,'false');">
</map>

<%
}
else
{
%>
<map name="<%=iconslink%>">
<area alt="<%=dmstoretext.getString("SCHRES1_TAG")%>" coords="0,0,31,15" href="javascript: pleaseregister();">
<area alt="<%=dmstoretext.getString("SCHRES2_TAG")%>" coords="33,0,62,14" href="javascript:viewcdtitle(<%=cdsku%>);">
<area alt="<%=dmstoretext.getString("SCHRES3_TAG")%>" coords="64,0,96,15" href="javascript:viewimage(<%=imageid%>,<%=ii%>,<%=lightboxlist%>);">
<area alt="<%=dmstoretext.getString("SCHRES4_TAG")%>" coords="0,16,46,32" href="javascript: pleaseregister();">
<area alt="<%=dmstoretext.getString("SCHRES5_TAG")%>" coords="48,16,96,32" href="javascript: pleaseregister();">
</map>
<%
}
%>
					<% 
					if (column == 3)
					{
						column = 1;
					%>
						</tr>
						<tr>
				<td>
				<table border="1" cellpadding="0" cellspacing="0">
					
					<tr>
					<td align="center" width="154" height="185"><span class="clipid"><%=clipno%></span><br>
					<a href="javascript:viewimage(<%=imageid%>,<%=ii%>,<%=lightboxlist%>);"><img src="<%=MEDIA_THUMBNAIL_PATH%>/<%=imgdir%>/<%=imageNo%>" align="bottom" alt="<%=imageNo%>" border="0"></a></td></tr>
					<%@ include file="DMSearchMediaTypes.inc" %> <%//8596.n%>
				<%
				//8075.sn
				if (activeUserID > 0)
				{
				%>
				<!-- <tr><td align="center"><span class="play"><a href="#" onClick="javascript:quickcheckoutcart(<%=imageid%>,<%=lightboxlist%>);" class="play"><%//=dmstoretext.getString("DMSEARCHRESULT_TEXT5")%></a></span></td></tr> -->
				<%
		//DCR.sn
		if (libraryapprovalprocess)
		{
		 	if (approvelist.indexOf(libraryuserrole) != -1)
			{
			%>
					<%
					// check if the xml file exists
					String incomingdirstring = LIBRARY_INCOMING_DIR;
					File xmlFile = new File(incomingdirstring + FSEP + imageid + ".xml");
					File tmpFile = new File(incomingdirstring + FSEP + imageid + ".tmp");
					if ( (xmlFile.exists()) || (tmpFile.exists()) )
					{
					}
					else
					{

					%>
				
						<tr><td align="center"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/icons.gif" vspace="3" alt="" border="0" usemap="#<%=libraryiconslink%>"></td></tr>
					<%
					}
					%>
				<%
				}
			}
				%>

				<%
				}
				//8075.en
				%>
				</table>
				</td>
					<%
					}
					else
					{
						column = column + 1;
					%>
				<td>
				<table border="1" cellpadding="0" cellspacing="0">					
					<tr>
					<td align="center" width="154" height="185"><span class="clipid"><%=clipno%></span><br>
					<a href="javascript:viewimage(<%=imageid%>,<%=ii%>,<%=lightboxlist%>);"><img src="<%=MEDIA_THUMBNAIL_PATH%>/<%=imgdir%>/<%=imageNo%>" align="bottom" alt="<%=imageNo%>" border="0"></a></td></tr>	
				<%@ include file="DMSearchMediaTypes.inc" %>
				<%
				//8075.sn
				if (activeUserID > 0)
				{
				%>
				<!-- <tr><td align="center"><span class="play"><a href="#" onClick="javascript:quickcheckoutcart(<%=imageid%>,<%=lightboxlist%>);" class="play"><%//=dmstoretext.getString("DMSEARCHRESULT_TEXT5")%></a></span></td></tr> -->
				<%
		//DCR.sn
		if (libraryapprovalprocess)
		{
		 	if (approvelist.indexOf(libraryuserrole) != -1)
			{
			%>
					<%
					// check if the xml file exists
					String incomingdirstring = LIBRARY_INCOMING_DIR;
					File xmlFile = new File(incomingdirstring + FSEP + imageid + ".xml");
					File tmpFile = new File(incomingdirstring + FSEP + imageid + ".tmp");
					if ( (xmlFile.exists()) || (tmpFile.exists()) )
					{
					}
					else
					{

					%>
				
						<tr><td align="center"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/icons.gif" vspace="3" alt="" border="0" usemap="#<%=libraryiconslink%>"></td></tr>
					<%
					}
					%>
				<%
				}
				}
				%>
				<%
				}
				//8075.en
				%>
				</table>
				</td>				
					<%
					}
					}
					Message.logMessage("[DMSearchResult.jsp] All images were retrieved successfully",1);
					}
					%>
					<%
					if (totalimages == 0)
					{
					%>
					<td>
					<table>
					<tr>
					<td>
					<%=dmstoretext.getString("DMSEARCHRESULT_TEXT6")%> <a HREF="javascript:history.go(-1)"><%=dmstoretext.getString("DMCOMMON_TEXT10")%></A>
					</td>
					</tr>
					</table>
					</td>
					<%
					}
					else if ( (dsDL == null) && (dsICM == null) )
					{
					%>
					<td>
					<table>
					<tr>
					<td>
					<%=dmstoretext.getString("DMSEARCHRESULT_TEXT7")%> <a HREF="javascript:history.go(-1)"><%=dmstoretext.getString("DMCOMMON_TEXT10")%></A>
					</td>
					</tr>
					</table>
					</td>
					<%
					}
					%>
				</tr>
			</table>
			</td>
			</tr>
<tr><td background="<%=WEBOBJECTS_RELATIVE_URL%>/images/search/results_graybar.gif" height="18" width="500" align="right" colspan="2" class="searchnumber">
<%		
			startindex = 1; 
			endindex = pagesdisp;
			%>
			<%@ include file="DMSearchPagesBar.inc" %>
			&nbsp;&nbsp;</td></tr>	
			<tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="10" alt="" border="0"></td></tr>
			<tr>
			<td class="small">
				<%@ include file="DMSearchDisplayOptions.inc" %>
			</td>
			<td><a href="http://www.apple.com/quicktime/download/" target="new"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/search/qt.gif" align="right" width="88" height="31" vspace="0" border="0" alt=""></a></td>
			</tr>	
			<tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="10" alt="" border="0"></td></tr>		
		</table>
		</td>
    	<td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
		</tr>		
		<!--end main body content row3-->	
		</td>		
		</tr>
	</table>
	</td>

<!--END BODY CONTENT-->
	</td>
	<td bgcolor="#000000" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="15" border="0" alt=""></td>
	</tr>
</table>

<%
//-----------------
// INCLUDE:  FOOTER
//-----------------
%>
<jsp:include page="DMFooter.jsp" flush="true"/>

<%
//-----------------------------------
// INCLUDE:  MEDIACOMMERCE HTML FORMS
//-----------------------------------
%>
<%@ include file="DMFolderForms.inc" %>
<%@ include file="DMSearchForms.inc" %>



<%
//==========================
// EXCEPTION HANDLING -- END
//==========================
}
catch (Exception e)
{
   /***************************************************************************/
   /* Note:  Do NOT dispatch message here since by this point, some HTML code */
   /*        may have already been written and some browsers will NOT display */
   /*        a new HTML page before the current HTML page is completed.       */
   /***************************************************************************/
   
   //--- Set the message
   String msg = dmstoretext.getString("DMCOMMON_TEXT1") + e.toString();
   
   //--- Log the message
   Message.logMessage(msg,0);
   ByteArrayOutputStream baos = new ByteArrayOutputStream();
   PrintWriter pw = new PrintWriter(baos, true);
   e.printStackTrace(pw);
   Message.logMessage( "[DMSearchResult.jsp] " + e.getMessage(), 0);
   Message.logMessage( "[DMSearchResult.jsp] " + baos.toString(), 0);

   %>   
   <br><b><%=dmstoretext.getString("DMCOMMON_TEXT1")%></b>
   <%
   
   //--- Display the error as part of the current HTML page
   if (msg.indexOf("DGL0391") != -1)
   {
   %>
   <%=dmstoretext.getString("DMCOMMON_TEXT7")%>
   <%
   }
   if (msg.indexOf("3016") != -1)
   {
   %>
   <%=dmstoretext.getString("DMCOMMON_TEXT8")%>
   <%
   }
   %>   

   <%
   
   //--- Print a dump of the exception
   //e.printStackTrace();
}
%>
<%Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE14") + new java.sql.Timestamp(new java.util.Date().getTime()),1);%>
</BODY>
</HTML>
