<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5697-D24
//*
//* (c) Copyright IBM Corp. yyyy, 2000
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
%>

<%
/*****************************************************************************/
/* Purpose:  This JSP include file includes all common JSP data members and  */
/*           methods.  This file should be included once in a JSP file.      */
/*****************************************************************************/
%>

<%
/*****************************************************************************/
/*                                                                           */
/*                           JAVA IMPORT STATEMENTS                          */
/*                                                                           */
/*****************************************************************************/
%>
<%@ page import = "java.util.*" %>
<%@ page import = "java.text.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.mediafolder.utils.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.mediafolder.homes.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.mediafolder.commands.*" %>
<%@ page import = "com.ibm.mm.sdk.common.*" %>
<%@ page import = "com.ibm.mm.sdk.server.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.search.utils.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.search.beans.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.search.commands.*" %>


<%!
ResourceBundle dmstoretext = null;
ResourceBundle dmstoreconfig = null;
/*****************************************************************************/
/*                                                                           */
/*                            DECLARATION SECTION                            */
/*                                                                           */
/* Note: To maintain thread safety, do NOT define non-static data members.   */
/*                                                                           */
/*****************************************************************************/

//=============================================================================
// METHOD:  getActiveUserID()
//=============================================================================
public int getActiveUserID(HttpServletRequest request) {
   return (UserUtility.getActiveUserID(request));
}


//=============================================================================
// METHOD:  getActiveLightboxID()
//=============================================================================
public int getActiveLightboxID(HttpServletRequest request) {
   return (LightboxUtility.getActiveLightboxID(request));
}


//=============================================================================
// METHOD:  getLightboxSortOrder()
//=============================================================================
public String getLightboxSortOrder(HttpServletRequest request) {
   if (request == null)
      return ("");
   else
      return ((String)request.getParameter("sort_order"));
}


//=============================================================================
// METHOD:  isLightboxEditable()
//=============================================================================
public boolean isLightboxEditable(HttpSession session) {
   if (session == null)
      return (false);
      
   //--- lightbox is editable only if the userID resides in the HTTP session
   try {
      String user_id_str = (String)session.getValue("user_id");
      if (user_id_str != null && !user_id_str.equals(""))
         return (true);
   } catch(Exception e) {
   }
   
   //--- if lightbox is viewed via a link sent in e-mail,
   //--- the userID is NOT in the HTTP session
   return (false);
}


//=============================================================================
// METHOD:  retrieveLightboxList()
//=============================================================================
public Vector retrieveLightboxList(HttpServletRequest request, HttpServletResponse response)
{
   return (retrieveLightboxList(request, response, null)); //d13320
}

//d13320: New method
public Vector retrieveLightboxList(HttpServletRequest request, HttpServletResponse response, String sortOrder)
{
   //--- Determine lightbox user ID
   int activeUserID = getActiveUserID(request);
   if (activeUserID < 0)
   {
      //--- Set the message
      //String msg = Message.formatString(Message._DISPLAY_ERROR_USERID, e.toString());
      String msg = "The page could not be displayed due to missing or incorrect user ID.";
      
      //--- dispatch message to the error HTML page
      //Message.dispatchMessage(msg, null, request, response, this);
      return (null);
   }
   
   //--- Determine lightbox sort order
   //d13320: String lbSortOrder = getLightboxSortOrder(request);
   String lbSortOrder;                              //d13320
   if (sortOrder != null)                           //d13320
       lbSortOrder = sortOrder;                     //d13320
   else                                             //d13320
       lbSortOrder = getLightboxSortOrder(request); //d13320

   Message.logMessage("[mc_jsp_func::retrieveLightboxList] activeUserID=" + activeUserID + "; lbSortOrder=" + lbSortOrder,1);

   try
   {
      //--- Retrieve the list of lightboxes
      Vector lightboxVector = LightboxManager.getInstance().findOwnedAndSharedLightboxes(activeUserID, lbSortOrder);
      return (filterLightboxes(lightboxVector, getStoreId(request)));
      
   }
   catch (LightboxNotFoundException e)
   {
      String name;
      try {
         name = UserManager.getInstance().findUserByID(activeUserID).getUserName();
      } catch (Exception e2) {
         name = String.valueOf(activeUserID); // use ID as the name, in case of error
      }
      Message.logMessage("No lightboxes found for user [" + name + "].",1);
   
   } catch (Exception e) {
      //--- set the message
      String msg = "Failed to retrieve lightboxes:" + e.toString();
      Message.logMessage(msg,2);
      //--- dispatch message to the error HTML page
      //Message.dispatchMessage(msg, request, response, this);
      
      //--- print a dump of the exception
      //e.printStackTrace();
   }
   return (null);
}


//=============================================================================
// METHOD:  extractLightboxIDs()
//=============================================================================
private String extractLightboxIDs(Vector lightboxVector, 
                                  HttpServletRequest request) {
   return(LightboxUtility.extractLightboxIDs(lightboxVector, request));
}                                     
private String extractLightboxIDs(Vector lightboxVector, 
                                  HttpServletRequest request,
                                  boolean ownedLightboxesOnly) {
   return(LightboxUtility.extractLightboxIDs(lightboxVector, request, ownedLightboxesOnly));
}


//=============================================================================
// METHOD:  extractLightboxNames()
//=============================================================================
private String extractLightboxNames(Vector lightboxVector, 
                                    HttpServletRequest request) {
   return(LightboxUtility.extractLightboxNames(lightboxVector, request));
}                                     
private String extractLightboxNames(Vector lightboxVector,
                                    HttpServletRequest request,
                                    boolean ownedLightboxesOnly) {
   return(LightboxUtility.extractLightboxNames(lightboxVector, request, ownedLightboxesOnly));
}


//=============================================================================
// METHOD:  createLightboxListInHtml()
//=============================================================================
private String createLightboxListInHtml(Vector lightboxVector, 
                                       HttpServletRequest request) {
   return(createLightboxListInHtml(lightboxVector, request, false));                                       
}                                     
private String createLightboxListInHtml(Vector lightboxVector, 
                                       HttpServletRequest request,
                                       boolean ownedLightboxesOnly) {
   //--- If the vector is empty, return
   int size = 0;
   if (lightboxVector == null || (size = lightboxVector.size()) < 1)
      return ("");
   
   //--- Begin with HTML <select> tag
   String htmlString = "<select name='lb_num' size='1'>";

   //--- Determine active lightbox ID
   int activeLightboxID = getActiveLightboxID(request);
   
   //--- Determine active user ID if needed
   int activeUserID = -1;
   if (ownedLightboxesOnly)
      activeUserID = getActiveUserID(request);
   
   //--- Add the lightbox list entries
   String lbName, selectTag;
   int lbID;
   try {
      //--- Extract storeId
      String storeId = getStoreId(request);
         
      for (int i=0; i<size; i++) {
         LightboxData lightbox = (LightboxData)lightboxVector.elementAt(i);
         
         if (lightbox != null) {
            if (!ownedLightboxesOnly || lightbox.getUserID() == activeUserID) { // if current user owns the lightbox
               lbID     = lightbox.getLightboxID();
               lbName   = extractLightboxName(lightbox.getName(), storeId);
            
               if (lbID == activeLightboxID) // if item is ACTIVE lightbox ID
                  selectTag = "selected";
               else
                  selectTag = ""; 
             
                           htmlString += "<option " + selectTag + " value='" + lbID + "'>" + lbName + " (" + lightbox.getImageCount() + ")";
            }
         }
      }
   } catch (Exception e) {
      Message.logMessage("[mc_jsp_func::createLightboxListInHtml] Exception=" + e,2);
      return ("");
   }
   
   //--- Add HTML </select> tag
   htmlString += "</select>";

   return (htmlString);   
}

//=============================================================================
// METHOD:  createLightboxListInHtml()
//=============================================================================
private String createLightboxListInHtml(String lb_ids, String lb_names) {
   return (createLightboxListInHtml(lb_ids, lb_names, -1));
}
private String createLightboxListInHtml(String lb_ids, String lb_names, int activeLightboxID) {
   //--- If not IDs or names specified, return
   if (lb_ids == null || lb_names == null)
      return ("");
      
   StringTokenizer st_ids = new StringTokenizer(lb_ids, ",", false);
   StringTokenizer st_names = new StringTokenizer(lb_names, ",", false);

   //--- If not tokens found, return
   if (st_ids.countTokens() <= 0 || st_names.countTokens() <= 0)
      return ("");
   
   //--- If the number of IDs don't match number of names, return   
   if (st_ids.countTokens() != st_names.countTokens())
      return ("");   

   //--- Begin with HTML <select> tag
   String htmlString = "<select name='lb_num' size='1'>";

   //--- Add the lightbox list entries
   String lb_id_str, lb_name, selectTag;
   try {
      while (st_ids.hasMoreElements()) {
         lb_id_str = st_ids.nextToken();
         lb_name = st_names.nextToken();
         
         if (Integer.valueOf(lb_id_str).intValue() == activeLightboxID) // if item is ACTIVE lightbox ID
            selectTag = "selected";
         else
            selectTag = "";
            
         htmlString += "<option " + selectTag + " value='" + lb_id_str + "'>" + lb_name;
      }
   } catch (Exception e) {
      return ("");
   }
   
   //--- Add HTML </select> tag
   htmlString += "</select>";
   
   return (htmlString);
}


//=============================================================================
// METHOD:  doesVectorContainOwnedLightboxes()
//=============================================================================
private boolean doesVectorContainOwnedLightboxes(Vector lightboxVector, int activeUserID) {
   int size;
   if (lightboxVector == null || (size = lightboxVector.size()) < 1)
      return (false);
      
   try {
      for (int i=0; i<size; i++) {
         LightboxData lightbox = (LightboxData)lightboxVector.elementAt(i);
         
         if (lightbox != null && lightbox.getUserID() == activeUserID)
            return (true);
      }
   } catch (Exception e) {
      Message.logMessage("[mc_jsp_func::doesVectorContainOwnedLightboxes] Exception=" + e,2);
   }
   
   return (false);
}


//=============================================================================
// METHOD:  createLinkInHtml()
//=============================================================================
public String createLinkInHtml(String url, String tag) {
   String htmlString = "";
   
   if (url != null && !url.equals("")) {
      if (tag == null || tag.equals(""))
         tag = "Go&gt;&gt;";
         
      htmlString += "<TABLE width=\"200\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">";
      htmlString += "  <tr align=\"right\">";
      htmlString += "    <td><font face=\"Arial, Helvetica, sans-serif\" size=\"1\"><b><a href=\"" + url + "\">" + tag + "</a>&nbsp;&nbsp;</b></font></td>";
      htmlString += "  </tr>";
      htmlString += "</TABLE>";
   }
   
   return(htmlString);
}


//=============================================================================
// METHOD:  createSourceUrlLinkInHtml()
//=============================================================================
public String createReturnLinkInHtml(HttpServletRequest request) {
   HttpSession session = request.getSession(false);
   if (session == null)
      return ("");
   
   //--- Determine ACTIVE user_id
   int user_id = getActiveUserID(request);

   //--- Get source_url from session
   String url = (String)session.getValue("source_url");

   //--- Create the link
   if (url != null && !url.equals("")) {
      String link = "javascript: go_to('" + url + "', '" + user_id + "');";
      return (createLinkInHtml(link, "Return&gt;&gt;"));
   } else {
      return (createBackLinkInHtml());
   }
}


//=============================================================================
// METHOD:  createBackLinkInHtml()
//=============================================================================
public String createBackLinkInHtml() {
   return (createLinkInHtml("javascript: history.go(-1);", "Back&gt;&gt;"));
}


//=============================================================================
// METHOD:  getWcsEnvironment()
//=============================================================================
public WCSEnvironment getWcsEnvironment(HttpServletRequest request) {
   if (request == null)
      return (null);
   else
      return (getWcsEnvironment(request.getSession(false)));
}
public WCSEnvironment getWcsEnvironment(HttpSession session) {
   if (session == null)
      return (null);
   else
      return ((WCSEnvironment)session.getValue(com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.SESSION_WCS_OBJ));
}



//=============================================================================
// METHOD:  filterLightboxes()
//=============================================================================
public Vector filterLightboxes(Vector lightboxVector, String tag) {
   return (LightboxUtility.filterLightboxes(lightboxVector, tag));
}            

//=============================================================================
// METHOD:  createLightboxName()
//=============================================================================
public String createLightboxName(String baseName, String tag) {
   return (LightboxUtility.createLightboxName(baseName, tag));
}            

//=============================================================================
// METHOD:  extractLightboxName()
//=============================================================================
public String extractLightboxName(String fullName, String tag) {
   return (LightboxUtility.extractLightboxName(fullName, tag));
}

public String getStoreId(HttpServletRequest request)
{
   String storeId = com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.getStoreId(request);
   return (storeId);

}

%>
<%
/*****************************************************************************/
/*                                                                           */
/*                             SCRIPLET SECTION                              */
/*                                                                           */
/*****************************************************************************/

//--- Define and initialize common local variables
int activeUserID = getActiveUserID(request);
int activeLightboxID = getActiveLightboxID(request);
String lightboxSortOrder = getLightboxSortOrder(request);

//--- Define common local variables and set as needed within specific JSPs
Vector lightboxVector = null;
String ownedAndSharedLightboxIDs = null;
String ownedAndSharedLightboxNames = null;

//--- Get the WCS Environment values
String storeId = "";
String catalogId = "";
String languageId = "";
String memberId = "";
String wcdmLocale = "";
String storeDir = "";

//--- Get the WCS environment data
WCSEnvironment wcse = null;
//Utility.SESSION_WCS_OBJ = "WCS_ENV"
if (session.getValue(com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.SESSION_WCS_OBJ) != null)
   wcse = getWcsEnvironment(session);
     
//--- Extract store properties   
if (wcse != null) {
   storeId = wcse.getStoreId();
   catalogId = wcse.getCatalogId();
   languageId = wcse.getLangId();
   memberId = wcse.getMemberId();
   wcdmLocale = wcse.getLocale();
   storeDir = wcse.getStoreDir();

}
boolean wcspath = false;

//8006: ---begin---
if ((storeId == null) || (storeId.equals(""))) {
    storeId = request.getParameter("storeId");
    if ((storeId == null) || (storeId.equals(""))) {
            storeId = (String)request.getAttribute("storeId");
    }
        
}
if ((catalogId == null) || (catalogId.equals(""))) {
    catalogId = request.getParameter("catalogId");
    if ((catalogId == null) || (catalogId.equals(""))) {
            catalogId = (String)request.getAttribute("catalogId");
    }
}
if ((languageId == null) || (languageId.equals(""))) {
    languageId = request.getParameter("langId");
    if ((languageId == null) || (languageId.equals(""))) {
            languageId = (String)request.getAttribute("langId");
    }
}

if ((wcdmLocale == null) || (wcdmLocale.equals(""))) {
    wcdmLocale = request.getParameter("localeValue");
    if ((wcdmLocale == null) || (wcdmLocale.equals(""))) {
            wcdmLocale = (String)request.getAttribute("localeValue");
    }
}
if ((storeDir == null) || (storeDir.equals(""))) {
    storeDir = request.getParameter("storeDir");
    if ((storeDir == null) || (storeDir.equals(""))) {
            storeDir = (String)request.getAttribute("storeDir");
    }
        
}



//8006: ---end---
//=============================================================================
%>

<%
/*****************************************************************************/
/*                                                                           */
/*                               JSP INCLUDES                                */
/*                                                                           */
/*****************************************************************************/
%>
<%
// ============================================================================
// INCLUDE:  MediaCommerce Configuration Variables
// ============================================================================
%>
<%@ include file="DMConfig.inc" %>

<%
String localelang = "";
String localecountry = "";
String localevariant = "";
if (wcdmLocale != null)
{
        StringTokenizer localetok = new StringTokenizer(wcdmLocale,"_");
        if (localetok.hasMoreTokens())
        {
                localelang = localetok.nextToken();
        }
        if (localetok.hasMoreTokens())
        {
                localecountry = localetok.nextToken();
        }
        if (localetok.hasMoreTokens())
        {
                localevariant = localetok.nextToken();
        }
}
Locale locale = null;

try
{

locale = new Locale(localelang,localecountry,localevariant);
dmstoretext = (ResourceBundle) request.getAttribute("DMResourceText"); 
if (dmstoretext == null)
{
        
        dmstoretext = ResourceBundle.getBundle(storeDir + "/" + RESOURCE_BUNDLE_NAME, locale);
        request.setAttribute("DMResourceText", dmstoretext);
}
dmstoreconfig = (ResourceBundle) request.getAttribute("DMResourceConfig"); 
if (dmstoreconfig == null)
{
        
        dmstoreconfig = ResourceBundle.getBundle(storeDir + "/" + RESOURCE_BUNDLE_CONFIG, locale);
        request.setAttribute("DMResourceConfig", dmstoreconfig);
}

}
catch(Exception e)
{       
        /*
        if (storeDir == null)
        {
                Message.logMessage("[DMJSPFUNC::FOLC1000E] Session timeout. Redirect to error.jsp",0);
                Message.logMessage("[DMJSPFUNC::FOLC1000E] Session timeout. Redirect to error.jsp. Exception :" + e,2);
                String errorurl = "/error.jsp" + "?storeId=" + storeId + "&catalogId=" + catalogId + "&langId=" + languageId + "&MESSAGE_CODE=JSPC1000E";
                response.sendRedirect(errorurl);
        }
        else
        {
        */
                Message.logMessage("[DMJSPFUNC::FOLC1000E] Session timeout. Redirect to " + ERROR_HANDLER_JSP,0);
                Message.logMessage("[DMJSPFUNC::FOLC1000E] Session timeout. Redirect to " + ERROR_HANDLER_JSP + ". Exception :" + e,2);
                String errorurl = ERROR_HANDLER_JSP + "?storeId=" + storeId + "&catalogId=" + catalogId + "&langId=" + languageId + "&MESSAGE_CODE=JSPC1000E";
                response.sendRedirect(errorurl);
        //}
 }
%>
<% response.setContentType(dmstoretext.getString("ENCODESTATEMENT")); %> 