<%
//********************************************************************
//*-------------------------------------------------------------------
//* Licensed Materials - Property of IBM
//*
//* 5724-E19
//*
//* (c) Copyright International Business Machines Corporation. yyyy, 2000-2003
//*     All rights reserved.
//*
//* US Government Users Restricted Rights - Use, duplication or
//* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//*
//*-------------------------------------------------------------------
//*
////////////////////////////////////////////////////////////////////////
//
// Change History:
//
// YYMMDD  F/D#   WHO      Description
// --------------------------------------------------------------------
// 011015  8006            Adding to the Cart comes back with guest user, May be due to not passing the user id
//         8596            Handling of different file types.  
// 030130 13742   vaschman Changed alternative text of legend to be consistent with images
// 030218 14288   johnz    edit/upload/delete media buttons not working
// 030226 13740   vaschman add alternative text for thumbnail display
// 030308 14475   vaschman change alternative text to variables - for translation
// 030307 14670   johnz    Details for videos in demodata not working
%>

<%
//=============================================================================
//======================= SECTION:  COMMON JSP LOGIC ==========================
//=============================================================================
%>
<%
//--------------------------------------
// INCLUDE:  MEDIACOMMERCE JSP FUNCTIONS
//--------------------------------------
%>
<%@ page language="java" %>

<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="com.ibm.mm.sdk.common.*" %>
<%@ page import="com.ibm.mm.sdk.server.*" %>
<%@ page import="java.util.zip.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.library.homes.*" %>
<%@ page import = "com.ibm.commerce.digitalmedia.library.util.*" %>

<%@ include file="DMJSPFunc.inc" %>
<%@ include file="DMLibraryJSPFunc.inc" %>
<script language="JavaScript">
<%@ include file="DMJSFunc.inc" %>
function viewmedia(prodsku,curimgno,lightboxlist,mediaupdate)
{
	document.ViewDetail.partNumber.value=prodsku;
	document.ViewDetail.imageNumber.value=curimgno;
	if (lightboxlist)
	{
		document.ViewDetail.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>.value = (document.lightbox_menu.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>[document.lightbox_menu.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>.selectedIndex].value);
	}
	document.ViewDetail.action="<%=LIBRARY_ADMIN_UPDATE_URL%>?mediaupdate=" + mediaupdate;
	document.ViewDetail.submit();
}
function deletemedia(prodsku,curimgno,lightboxlist,mediaupdate)
{
	document.ViewDetail.partNumber.value=prodsku;
	document.ViewDetail.imageNumber.value=curimgno;
	if (lightboxlist)
	{
		document.ViewDetail.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>.value = (document.lightbox_menu.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>[document.lightbox_menu.<%=com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.NVP_LB_NUM%>.selectedIndex].value);
	}
	document.ViewDetail.action="<%=LIBRARY_ADMIN_UPDATE_URL%>?mediaupdate=" + mediaupdate + "&deletemedia=true";
	document.ViewDetail.submit();
}
</script>
<%
boolean videoretrieve = true;
%>
<%!
PropertyResourceBundle mcResourceBundle = null;
String serverType = "";
String server = null;
String userid = null;
String password = null;
String textserver = null;
DKDatastoreDL dsDL = null;
DKDatastoreICM dsICM = null;

public void jspInit()
{
	try
	{
		mcResourceBundle = com.ibm.commerce.digitalmedia.mediafolder.utils.Utility.getMediaCommerceResourceBundle();
		Message.logMessage("[DMSearchDetail.jsp::jspinit] Reading the properties file",1);
		// Get the values from the properties file
		serverType = mcResourceBundle.getString(SearchMediaConstants.MEDIA_SERVER_TYPE);
		server = mcResourceBundle.getString(SearchMediaConstants.MEDIA_SERVER_NAME);
		userid = mcResourceBundle.getString(SearchMediaConstants.MEDIA_USER_ID);
		password = mcResourceBundle.getString(SearchMediaConstants.MEDIA_PASSWORD);		
		textserver = mcResourceBundle.getString(SearchMediaConstants.MEDIA_TEXT_SERVER_NAME);

  		if (serverType.equalsIgnoreCase("DL")) 
		{
			dsDL = new DKDatastoreDL();
			Message.logMessage("[DMSearchDetail::jspinit] Connecting to DL library server \"" + server + 
				"\" as \"" + userid + "/" + password + "\"", 1);
			dsDL.connect(server, userid, password, "");
        	}
        	else 
		{
            		if (!serverType.equalsIgnoreCase("ICM")) 
			{
				Message.logMessage("[DMSearchDetail::jspinit] Cannot get library server type from digitalmedia properties file; assuming ICM", 0);
			}
			dsICM = new DKDatastoreICM();
			Message.logMessage("[DMSearchDetail::jspinit] Connecting to ICM library server \"" + server + 
				"\" as \"" + userid + "/" + password + "\"", 1);
			dsICM.connect(server, userid, password, "");
		}

		Message.logMessage("[DMSearchDetail.jsp::jspinit] Connected to Library Server",1);	
	}
	catch(DKException exc)
	{
		Message.logMessage("[DMSearchDetail.jsp::jspinit] DKException : Failed to read digitalmedia properties file or failed to connect to library Server." + exc.toString(),0);
		try
		{
			if (dsDL != null) 
			{
				dsDL.destroy();
			}
			if (dsICM != null) 
			{
				dsICM.destroy();
			}
			Message.logMessage("[DMSearchDetail.jsp::jspinit] Disconnected from the library server.",1);
			   
	   		//--- Display the error as part of the current HTML page
   			//--- Print a dump of the exception
   			//exc.printStackTrace();
		}
		catch (Exception e)
		{
		
			Message.logMessage("[DMSearchDetail.jsp::jspinit] Failed to disconnect from the library server.",0);
		   	//--- Display the error as part of the current HTML page
   			//--- Print a dump of the exception
   			//e.printStackTrace();
			
		}
		dsDL = null;
		dsICM = null;
	}
	catch (Exception e)
	{
		Message.logMessage("[DMSearchDetail.jsp::jspinit] Exception : Failed to read digitalmedia properties file or failed to connect to library Server." + e.toString(),0);
		//--- Display the error as part of the current HTML page   
		//--- Print a dump of the exception
		//e.printStackTrace();
		dsDL = null;
		dsICM = null;
	}
}

public void jspDestroy()
{
	try {
		Message.logMessage("[DMSearchDetail::jspdestroy] Disconnecting from Library Server",1);
		if (dsDL != null) 
		{
			dsDL.disconnect();		
			dsDL.destroy();
		}
		if (dsICM != null) 
		{
			dsICM.disconnect();		
			dsICM.destroy();
		}
		Message.logMessage("[DMSearchDetail::jspdestroy] Disconnected from Library Server",1);
	}
	catch (DKException exc)
	{
		Message.logMessage("[DMSearchDetail::jspdestroy] DKException occured while disconnecting from library server: " + exc.getMessage(),0);
	}
	catch (Exception exc)
	{
		Message.logMessage("[DMSearchDetail::jspdestroy] Exception occured while disconnecting from library server: " + exc.getMessage(),0);
	}
}
%>

<% //for guest shoppers, get the storeid,langid and catalog id from the
  // request object %>
<%
if (activeUserID < 1)
{
        if ((storeId == null) || (storeId.equals("")))
        {
                storeId = request.getParameter("storeId");
                if ((storeId == null) || (storeId.equals("")))
                {
                        storeId = (String)request.getAttribute("storeId");
                }

        }
        if ((catalogId == null) || (catalogId.equals("")))
        {
                catalogId = request.getParameter("catalogId");
                if ((catalogId == null) || (catalogId.equals("")))
                {
                        catalogId = (String)request.getAttribute("catalogId");
                }
        }
        if ((languageId == null) || (languageId.equals("")))
        {
                languageId = request.getParameter("langId");
                if ((languageId == null) || (languageId.equals("")))
                {
                        languageId = (String)request.getAttribute("langId");
                }
        }
}
%>


<%
// --------------------------------------------
// Determine the owned lightbox list
// --------------------------------------------
boolean lightboxlist = true; // if there is a lightbox present.

if (activeUserID > 0)
{
        lightboxVector = retrieveLightboxList(request, response);
        String ownedLightboxIDs = extractLightboxIDs(lightboxVector, request,true);
        if ((ownedLightboxIDs.equals("")) || (ownedLightboxIDs == null))
        {
                lightboxlist = false;
        }
}
else
{
        lightboxlist = false;
}
%>

<%
//HttpSession hs = request.getSession();
Vector result = (Vector)session.getValue(SearchMediaConstants.MEDIA_SEARCH_RESULT);
int curimgno = 0;
String imgno = request.getParameter("imageNumber");
if ((imgno != null) && (imgno != ""))
{
        curimgno = Integer.parseInt(imgno);
}
int totalimages = result.size();                        // total images found.
if (totalimages == 0)
{
%>
	<jsp:include page="DMSearchMediaDeleted.jsp" flush="true"/>
<%
}
else
{

DdoInfo currec = (DdoInfo)result.elementAt(curimgno);

String searchval = request.getParameter(SearchMediaConstants.MEDIA_SEARCH_CM_START + SearchMediaConstants.MEDIA_CM_IMAGE_KEYWORDS);
String shortdescription = request.getParameter("shortdescription");
String startimage = request.getParameter(SearchMediaConstants.MEDIA_START_IMAGE_NO);
if ((startimage == null) || (startimage.equals("")))
{
        startimage = (String)session.getValue(SearchMediaConstants.MEDIA_START_IMAGE_NO);
        if ((startimage == null) || (startimage.equals("")))
                startimage = "0";
}
int startimg = Integer.parseInt(startimage);
String desc = "";
String keyw = "";
String startboard = "";
String endboard = "";
String showclipprice = "";
String showhiclipprice = "";
String showloclipprice = "";
String showtitle = "";
String showfilesize = "";
String showimagesize = "";
String showcameraelement = "";
String showcameraspeed = "";
String showera = "";
String showaudio = "";
String showcompression = "";
String imageid = "";
String imageNo = ""; // image id + extension
String imgdir = "";
String duration = "";                   // Image duration.
String cdsku = "";                              // CD SKU.
String clipno = "";                     // clip number (1111SHS-0988)
%>
<%
// when one adds to cart the control comes back with this search page but all
// the parameters are encrypted. So inorder to overcome this we call the orderitemadd
// with no https and while coming back we put the https.
String servername = MediaCommerceServlet.getUrlBase(request);
String servernamewithouts = MediaCommerceServlet.getUrlBase(request);
int itest = servername.indexOf("https");
if (itest != -1)
{
        servernamewithouts = "http" + servername.substring(5);
}
%>

<%// start.new %>
<%
String imagetype = null;                        // Image is Low Res/Video/Acrobat

try
{
	DKDDO curddo = null;
	DKPid pid = new DKPid();
	DKPidXDODL apid = new DKPidXDODL();
	DKBlobDL xdoDL = null; 
	DKLobICM xdoICM = null;

	// Retrieve the DDO, description & keywords XDOs
       	pid.setPrimaryId(currec.getPidString());
	if (serverType.equalsIgnoreCase("DL")) 
	{
		xdoDL = new DKBlobDL(dsDL);
	        // Retrieve the Description
        	apid.setPartId(MEDIA_PART_ID_DESCRIPTION);
	        apid.setItemId(pid.getPrimaryId());
        	xdoDL.setPidObject(apid);
	        xdoDL.retrieve();
        	desc = new String(xdoDL.getContent());
	        // Retrieve the Keywords
        	apid.setPartId(MEDIA_PART_ID_KEYWORDS);
	        apid.setItemId(pid.getPrimaryId());
        	xdoDL.setPidObject(apid);
	        xdoDL.retrieve();
        	Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE15"),1);
	        keyw = new String(xdoDL.getContent());
        	// Retrieve the data
	        curddo = new DKDDO(dsDL, pid);
        	curddo.retrieve();
	}
	else
	{
		curddo = dsICM.createDDO(currec.getPidString());
		curddo.retrieve(DKConstant.DK_CM_CONTENT_ITEMTREE);
		DKParts dkParts = (DKParts)curddo.getData(curddo.dataId(DKConstant.DK_CM_NAMESPACE_ATTR,DKConstant.DK_CM_DKPARTS));
		dkIterator iter = dkParts.createIterator();
       	    	while(iter.more()) 
		{                      
        		DKDDO part = (DKDDO) iter.next();        
			if (part instanceof DKLobICM) {
				if (((DKLobICM)part).getPartNumber() == MEDIA_PART_ID_DESCRIPTION) 
				{
					xdoICM = (DKLobICM)part;
	        			xdoICM.retrieve();
        				desc = new String(xdoICM.getContent());
				}
				else if (((DKLobICM)part).getPartNumber() == MEDIA_PART_ID_KEYWORDS) 
				{
					xdoICM = (DKLobICM)part;
	        			xdoICM.retrieve();
        				keyw = new String(xdoICM.getContent());
				}
			}
		}
        	Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE15"),1);
	}

	// Retrieve metadata
        startboard = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_RESERVED1);
        endboard = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_RESERVED2);

        //Tile
        showtitle = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_DESCRIPTION);
        //ClipPrice
        showclipprice = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_CLIP_PRICE);
	//Hi ClipPrice
        showhiclipprice = (String)curddo.getDataByName("clippricehi");
	//Lo ClipPrice
        showloclipprice = (String)curddo.getDataByName("clippricelo");
        //FileSize
        showfilesize = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_FILE_SIZE);
        //ImageSize
        showimagesize = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_IMAGE_SIZE);
        //CameraElement
        showcameraelement = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_CAMERA_ELEMENT);
        //CameraSpeed
        showcameraspeed = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_CAMERA_SPEED);
        //Era
        showera = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_ERA);
        //Audio
        showaudio = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_AUDIO);
        //Compression
        showcompression = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_COMPRESSION);
        //Image ID
        imageid = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_IMAGE_ID);
        // Clip Number
        clipno = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_CLIP_NUMBER);
        // Duration
        duration = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_DURATION);
        // CD SKU
        cdsku = (String)curddo.getDataByName(SearchMediaConstants.MEDIA_CM_CD_SKU);

        imageNo = imageid + "." + currec.getThumbnailType();
        imgdir = imageid.substring(imageid.length() - 2,imageid.length());
        imagetype = showcameraelement;
        if ( (imagetype == null) || (imagetype.equals("")))
                imagetype = "IMAGE";
				%>
				<%
				
try
{
%>
<%

        // Retrieve the Storyboard for video
        if (imagetype.toUpperCase().equals("VIDEO"))
        {
                File f1 = new File(MEDIA_STORYBOARD_DIR + "/" + imageid + MEDIA_STORYBOARD_JAR);
                if (f1.exists())
                {
                        Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE18") + MEDIA_STORYBOARD_DIR + "/" + imageid + MEDIA_STORYBOARD_JAR,1);
                }
                else
                {
                        String indexclass = dmstoreconfig.getString("WCDMCMBASEINDEXCLASS");
                        if ( (indexclass != null) && (indexclass.equals("*")) )
                        {
                                indexclass = dmstoreconfig.getString("WCDMCMINDEXCLASS");
                        }
                        // if base class is same as the locale index class
                        if ( (indexclass != null) && (indexclass.equals(dmstoreconfig.getString("WCDMCMINDEXCLASS"))) )
                        {
				if (serverType.equalsIgnoreCase("DL")) 
				{
                                	apid.setPartId(MEDIA_PART_ID_STORYBOARD);
                                	apid.setItemId(pid.getPrimaryId());
                                	xdoDL.setPidObject(apid);
                                	xdoDL.retrieve();
                                	Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE16"),1);
                                	xdoDL.getContentToClientFile(MEDIA_STORYBOARD_FULL_DIR + "/" + imageid + MEDIA_STORYBOARD_JAR,1);
                                	Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE17"),1);
				}
				else
				{
					DKParts dkParts = (DKParts)curddo.getData(curddo.dataId(DKConstant.DK_CM_NAMESPACE_ATTR,DKConstant.DK_CM_DKPARTS));
					dkIterator iter = dkParts.createIterator();
       	    				while(iter.more()) 
					{                      
        					DKDDO part = (DKDDO) iter.next();        
						if (part instanceof DKLobICM) {
							if (((DKLobICM)part).getPartNumber() == MEDIA_PART_ID_STORYBOARD) 
							{
								xdoICM = (DKLobICM)part;
	        						xdoICM.retrieve();
                             					Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE16"),1);
                                				xdoICM.getContentToClientFile(MEDIA_STORYBOARD_FULL_DIR + "/" + imageid + MEDIA_STORYBOARD_JAR,1);
                                				Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE17"),1);
							}
						}
					}
				}	
                        }
			// base class is different from the locale index class
                        else
                        {
				if (serverType.equalsIgnoreCase("DL")) 
				{
					DKDatastoreTS dsTS = null;
	                   		try
                        		{
                                		Message.logMessage("[DMSearchDetail.jsp] Connecting to Text Server...",1);
                                		dsTS = new DKDatastoreTS();
                                		dsTS.connect(textserver, "", "", "");
                                		Message.logMessage("[DMSearchDetail.jsp] Connected to Text Server",1);
                        		}
                        		catch (Exception e2)
                        		{
                                		try
                                		{
                                        		if (dsTS != null)
                                        		{
                                                		dsTS.disconnect();
                                                		dsTS.destroy();
								dsTS = null;
                                        		}
                                		}
                                		catch (Exception e1)
                                		{
                                		}
                                		Message.logMessage("[DMSearchDetail.jsp] Failed to connect to Text Server",0);
                                		Message.logMessage("[DMSearchDetail.jsp] Failed to connect to Text Server : " + " Exception:" + e2.getMessage(),2);
                        		}
                        		DKResults results = null;
                        		Message.logMessage("[DMSearchDetail.jsp] Searching the content manager for image #" + imageid,1);
                        		String cmd = "SEARCH=(COND=(" + imageid + "));OPTION=(SEARCH_INDEX=" + indexclass + ")";
                        		Message.logMessage("[DMSearchDetail.jsp] Searching with string: " + cmd,1);
					try 
					{
                        			results = (DKResults) dsTS.evaluate(cmd, DKConstantDL.DK_TEXT_QL_TYPE, null);
                        		}
                        		catch (Exception e2)
                        		{
                                		try
                                		{
                                        		if (dsTS != null)
                                        		{
                                                		dsTS.disconnect();
                                                		dsTS.destroy();
								dsTS = null;
                                        		}
                                		}
                                		catch (Exception e1)
                                		{
                                		}
                                		Message.logMessage("[DMSearchDetail.jsp] Failed to search Text Server",0);
                                		Message.logMessage("[DMSearchDetail.jsp] Failed to search Text Server : " + " Exception:" + e2.getMessage(),2);
                        		}
                        		try
                        		{
                				if (dsTS != null)
                                		{
                    					dsTS.disconnect();
                    					dsTS.destroy();
                				}
            				}
                        		catch (Exception e)
                        		{
                				Message.logMessage("[DMSearchDetail.jsp] Exception during destroying the TextSearch.",0);
                				Message.logMessage("[DMSearchDetail.jsp] Exception during destroying the TextSearch." + e,2);
            				}
            				Message.logMessage("[DMSearchDetail.jsp] Destroyed the TextSearch.",1);
  
                        		//put an iterator (iter) on the results collection
                        		dkIterator iter = results.createIterator();
                        		DKDDO ddoTS = null;
                        		DKDDO ddo = null;
                        		boolean flag = false;
                        		if (iter == null)
                        		{
                                		Message.logMessage("[DMSearchDetail.jsp] No Image Found.",1);
                        		}
                        		ddoTS = (DKDDO) iter.next(); //print each DKDDO ddo
                        		DKPid pidTS = new DKPid();
                        		pidTS.setPrimaryId(ddoTS.getPid().getPrimaryId());
                        		ddo = new DKDDO(dsDL, pidTS);
                        		ddo.retrieve();
                        		DKPid pid1 = new DKPid(ddo.getPid().toString());
                        		DKBlobDL xdo1 = new DKBlobDL(dsDL);
                        		DKPidXDODL apid1 = new DKPidXDODL();

                        		apid1.setPartId(MEDIA_PART_ID_STORYBOARD);
                        		apid1.setItemId(pid1.getPrimaryId());
                        		xdo1.setPidObject(apid1);
                        		xdo1.retrieve();
                        		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE16"),1);
                        		xdo1.getContentToClientFile(MEDIA_STORYBOARD_FULL_DIR + "/" + imageid + MEDIA_STORYBOARD_JAR,1);
                        		Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE17"),1);

				}
				else
				{
                      			DKResults results = null;
                        		Message.logMessage("[DMSearchDetail.jsp] Searching the content manager for image #" + imageid,1);
			        	String cmd = "/" + indexclass + "[@imageID=\"" + imageid + "\"]";
					DKNVPair options[] = new DKNVPair[3];
					options[0] = new DKNVPair(DKConstant.DK_CM_PARM_MAX_RESULTS, "1");
					options[1] = new DKNVPair(DKConstant.DK_CM_PARM_RETRIEVE,
                       						  new Integer(DKConstant.DK_CM_CONTENT_YES | DKConstant.DK_CM_CONTENT_LINKS_OUTBOUND));
					options[2] = new DKNVPair(DKConstant.DK_CM_PARM_END, null);

                        		Message.logMessage("[DMSearchDetail.jsp] Searching with string: " + cmd,1);
					results = (DKResults)dsICM.evaluate(cmd, DKConstant.DK_CM_XQPE_QL_TYPE, options);

                        		//put an iterator (iter) on the results collection
                        		dkIterator iter = results.createIterator();
                        		if (iter == null)
                        		{
                                		Message.logMessage("[DMSearchDetail.jsp] No Image Found.",1);
                        		}
					else
					{
                        			DKDDO ddo = (DKDDO) iter.next(); 
						// search the ddo for the correct xdo
						xdoICM = null;
						DKParts dkParts = (DKParts)ddo.getData(ddo.dataId(DKConstant.DK_CM_NAMESPACE_ATTR,DKConstant.DK_CM_DKPARTS));
						iter = dkParts.createIterator();
       	    					while(iter.more()) 
						{                      
        						DKDDO part = (DKDDO) iter.next();        
							if (part instanceof DKLobICM) {
								if (((DKLobICM)part).getPartNumber() == MEDIA_PART_ID_STORYBOARD) 
								{
									xdoICM = (DKLobICM)part;
								}
							}
						}
						if (xdoICM != null)
						{
							xdoICM.retrieve();
                        				Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE16"),1);
                        				xdoICM.getContentToClientFile(MEDIA_STORYBOARD_FULL_DIR + "/" + imageid + MEDIA_STORYBOARD_JAR,1);
                        				Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE17"),1);
						}
						else
						{
							Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + "Unable to locate part " + MEDIA_PART_ID_STORYBOARD + "!", 0);
						}
					}
				}
                        }
                }
        }
%>
<%
}
catch(Exception exec)
{
	Message.logMessage("[DMSearchDetail.jsp] Error while retrieving storyboard." + exec,0);
	videoretrieve = false;
}
%>

        <%// unjar the file%>
        <%
        if ((imagetype.toUpperCase().equals("VIDEO")) && (videoretrieve) )
        {
                try
                {
				
					String zipFileName = new String (MEDIA_STORYBOARD_FULL_DIR + FSEP + imageid + MEDIA_STORYBOARD_JAR);
					String targetPath =  new String (MEDIA_STORYBOARD_FULL_DIR);
					Message.logMessage(" Unzipping " + zipFileName + " in to " + targetPath,1);

					InputStream 	 in  = new BufferedInputStream(new FileInputStream(zipFileName));
					ZipInputStream   zin = new ZipInputStream(in);
	
					FileOutputStream out1 = null;
					byte[] 		buffer = new byte[4096];
					int 		byte_read = 0;	 	
	
					ZipEntry 	entry;

				
				 	while ((entry = zin.getNextEntry()) != null)
					{
					 	String output_filename = targetPath + "/" + entry.getName();
					 	Message.logMessage("File: " + output_filename,1);

					 	out1 = new FileOutputStream (output_filename);
						while ( (byte_read = zin.read(buffer))!= -1 )
						{
				 			out1.write(buffer, 0, byte_read);
						}
						out1.close();		 	
					}
					zin.close();

	
                }
                catch(Exception e)
                {
                        %>
                        <%=dmstoretext.getString("DMCOMMON_LOGMESSAGE12")%><%= dmstoretext.getString("DMCOMMON_LOGMESSAGE20")%>
                        <%
                        Message.logMessage(dmstoretext.getString("DMCOMMON_LOGMESSAGE12") + dmstoretext.getString("DMCOMMON_LOGMESSAGE20") + e,0);

                   //--- Display the error as part of the current HTML page
%>
<!--            <br><b>Error:</b> Unable to unjar the storyboard.  <%//=msg%> -->
<%
                        //--- Print a dump of the exception
                        //e.printStackTrace();
                }
        }
%>
        <%


}
catch (Exception e)
{

   //--- Set the message
   String msg = dmstoretext.getString("DMCOMMON_TEXT1") + e.toString();

   //--- Log the message
   Message.logMessage(msg,0);
   %>
      <br><b><%=dmstoretext.getString("DMCOMMON_TEXT1")%></b>
          <%

   //--- Display the error as part of the current HTML page
   if (msg.indexOf("DGL0391") != -1)
   {
   %>
        <%=dmstoretext.getString("DMCOMMON_TEXT7")%>
   <%
   }
   if (msg.indexOf("3016") != -1)
   {
   %>
   <%=dmstoretext.getString("DMCOMMON_TEXT8")%>
   <%
   }
   %>

   <%

   //--- Print a dump of the exception
   //e.printStackTrace();
}
%>





<%// start.old %>

<%@ include file="DMSearchPlayIt.inc" %> <%//8596.n%>

<%
// common variables used between contentmanager search and db2 search
// 10064.sn
String addorderbackurl = servername + MEDIA_IMAGE_DETAIL_URL;
String addmediabackurl = MEDIA_ADD_IMAGE_DETAIL_JSP;
String mediadisplayurl = MEDIA_IMAGE_DISPLAY_URL;
String mediadetailurl = MEDIA_IMAGE_DETAIL_URL;
String mediasearchurl = MEDIA_SEARCH_SERVLET;
// 10064.en
%>

<%
//=============================================================================
//========================= SECTION:  HTML DOCUMENT ===========================
//=============================================================================
%>


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<HEAD>
  <TITLE><%=dmstoretext.getString("DMSEARCHDETAIL_TITLE")%></TITLE>
  <%@ include file="DMQuickTime.inc" %>
</HEAD>

<BODY marginheight="0" marginwidth="0" link="#808080" vlink="#808080" alink="#CC9900" bgcolor="#FFFFFF">

<%
//============================
// EXCEPTION HANDLING -- BEGIN
//============================
try {
%>

<%
//-----------------
// INCLUDE:  HEADER
//-----------------
%>
<jsp:include page="DMHeader.jsp" flush="true"/>


<%
//--------------------------------
// INCLUDE:  MEDIACOMMERCE SIDEBAR
//--------------------------------
%>
<jsp:include page="DMSidebar.jsp" flush="true"/>


<%
//---------------
// INCLUDE:  BODY
//---------------
%>


<!--BEGIN BODY CONTENT-column3-->
        <td valign="top">
        <table border="0" cellpadding="0" cellspacing="0" width="595">
                <!--body header row1-->
                <tr>
        <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
                <td>
                <table border="0" cellpadding="0" cellspacing="0" width="521">
                        <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="12" border="0" alt=""></td>
                        </tr>
                        <tr>
                        <td valign="top" align="left">
                        <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/search/clip_details_header.gif" alt="" border="0"><br><span class="darkgrey"><%=totalimages%> <%=dmstoretext.getString("DMCOMMON_TEXT11")%></span>
                        <span class="bold">
                        <%
                        if ((shortdescription == null) || (shortdescription.equals("")) || (shortdescription.equals("null")))
                        {
                        %>
                                <%=searchval%>
                        <%
                        }
                        else
                        {
                        %>
                                <%=shortdescription%>
                        <%
                        }
                        %>
                        </b></span>
                        </td>
                        <td align="right" valign="top">
                        <a href="javascript:viewsearchresults(<%=lightboxlist%>);" class="play"><%=dmstoretext.getString("DMCOMMON_TEXT12")%></a>
                        </td>
                        </tr>
                        <tr>
                        <td width="35" colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""></td>
                        </tr>
                </table>
                </td>
                <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="30" border="0" alt=""></td>
                </tr>
                <!--end body header row1-->
                <!--body line row2-->
                <tr>
            <td colspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
                </tr>
                <!--end body line row2-->
                <!--main body content row3-->
                <tr>
        <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
        <td valign="top">
                <table border="0" cellpadding="0" cellspacing="0">
                        <tr>
                        <td colspan="2">
                        <p><br><span class="darkgrey"><%=dmstoretext.getString("DMSEARCHRESULT_TEXT1")%></span><br><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="10" alt="" border="0">
                        </td>
                        </tr>
                        <tr>
                        <%
                        if (activeUserID < 0)
                        {
                        %>
                        <td class="play">
							<%
							   String displaymessage = "";
							   String msg_args[] = new String[1];  
							   msg_args[0] = "<a href=\"" + WCS_REGISTRATION + "?langId=" + languageId + "&storeId=" + storeId + "&catalogId=" + catalogId + "&new=Y\" class=\"play\">";
							   displaymessage = java.text.MessageFormat.format(dmstoretext.getString("DMSEARCHRESULT_TEXT2"),msg_args) + "</a>";
						    %>
							<b><%=displaymessage%></b>
                        </td>
                        <%
                        }
                        else
                        {
                        %>
                        <td class="small">
                                <%@ include file="DMSearchFolderDropDown.inc" %>
                        </td>
                        <%
                        }
                        %>

                        <td align="right" valign="top">
                        <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/search/rf_legend.gif" vspace="6" alt="" border="0"><br>
						<%
			if (libraryapprovalprocess)
			{
		 		if (approvelist.indexOf(libraryuserrole) != -1)
				{
				%>
					<img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/liblegend.gif" vspace="6" alt="" border="0"><br>
				<%
				}
			}
			%>
                        <a href="<%=IMAGE_CART_URL%>?langId=<%=languageId%>&storeId=<%=storeId%>&catalogId=<%=catalogId%>&orderId=." class="play"><%=dmstoretext.getString("DMCOMMON_TEXT9")%></a>
                        <br>
                        </td>
                        </tr>
                        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="10" alt="" border="0"></td></tr>
                        <tr><td width="530" height="18" colspan="2" background="<%=WEBOBJECTS_RELATIVE_URL%>/images/search/clip_info_bar.gif">&nbsp;</td></tr>
                        <tr>
                        <td colspan="2">
                        <table border="0" cellpadding="0" cellspacing="0">
                        <tr>
                        <td width="15" colspan="6"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""></td>
                        </tr>
                        <tr>
                        <td valign="top" rowspan="3">
                        <%
                        String iconslink = "icons"; //8596.n
			String libraryiconslink = "libraryicons" + imageid;
if (activeUserID > 0)
{

%>
<map name="<%=iconslink%>">
<area alt="<%=dmstoretext.getString("SCHDET1_TAG")%>" coords="0,0,31,15" href="javascript: add_to_lightbox(<%=imageid%>,<%=lightboxlist%>);">
<area alt="<%=dmstoretext.getString("SCHDET2_TAG")%>" coords="33,0,62,14" href="javascript:viewcdtitle(<%=cdsku%>);">
<area alt="<%=dmstoretext.getString("SCHDET3_TAG")%>" coords="64,0,96,15" href="javascript:viewimage(<%=imageid%>,<%=curimgno%>,<%=lightboxlist%>);">
<area alt="<%=dmstoretext.getString("SCHDET4_TAG")%>" coords="0,16,46,32" href="javascript:add_high_to_cart(<%=imageid%>,<%=lightboxlist%>);">
<area alt="<%=dmstoretext.getString("SCHDET5_TAG")%>" coords="48,16,96,32" href="javascript:add_low_to_cart(<%=imageid%>,'<%=clipno%>',<%=lightboxlist%>);">
</map>
<map name="<%=libraryiconslink%>">
<area alt="<%=dmstoretext.getString("SCHDET6_TAG")%>" coords="0,0,31,15" href="javascript:viewmedia(<%=imageid%>,<%=curimgno%>,<%=lightboxlist%>,'false');">
<area alt="<%=dmstoretext.getString("SCHDET7_TAG")%>" coords="33,0,62,14" href="javascript:viewmedia(<%=imageid%>,<%=curimgno%>,<%=lightboxlist%>,'true');">
<area alt="<%=dmstoretext.getString("SCHDET8_TAG")%>" coords="64,0,96,15" href="javascript:deletemedia(<%=imageid%>,<%=curimgno%>,<%=lightboxlist%>,'false');">
</map>

<%
}
else
{
%>
<map name="<%=iconslink%>">
<area alt="<%=dmstoretext.getString("SCHDET1_TAG")%>" coords="0,0,31,15" href="javascript: pleaseregister();">
<area alt="<%=dmstoretext.getString("SCHDET2_TAG")%>" coords="33,0,62,14" href="javascript:viewcdtitle(<%=cdsku%>);">
<area alt="<%=dmstoretext.getString("SCHDET3_TAG")%>" coords="64,0,96,15" href="javascript:viewimage(<%=imageid%>,<%=curimgno%>,<%=lightboxlist%>);">
<area alt="<%=dmstoretext.getString("SCHDET4_TAG")%>" coords="0,16,46,32" href="javascript: pleaseregister();">
<area alt="<%=dmstoretext.getString("SCHDET5_TAG")%>" coords="48,16,96,32" href="javascript: pleaseregister();">
</map>
<%
}
%>

                        <table border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                <td align="center"><span class="clipid"><%=clipno%></span><br>
                                <img src="<%=MEDIA_THUMBNAIL_PATH%>/<%=imgdir%>/<%=imageNo%>" alt="<%=imageid%>" border="0"></td></tr>
                                <%@ include file="DMSearchMediaTypes.inc" %> <%//8596.n%>
								<%
				//8075.sn
				if (activeUserID > 0)
				{
				%>
						<%
		//DCR.sn
		if (libraryapprovalprocess)
		{
		 	if (approvelist.indexOf(libraryuserrole) != -1)
			{
			%>
					<%
					// check if the xml file exists
					String incomingdirstring = LIBRARY_INCOMING_DIR;
					File xmlFile = new File(incomingdirstring + FSEP + imageid + ".xml");
					File tmpFile = new File(incomingdirstring + FSEP + imageid + ".tmp");
					if ( (xmlFile.exists()) || (tmpFile.exists()) )
					{
					}
					else
					{

					%>
				
						<tr><td align="center"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/library/icons.gif" vspace="3" alt="" border="0" usemap="#<%=libraryiconslink%>"></td></tr>
					<%
					}
					%>
				<%
				}
			}
				%>
				
				<%
				}
				%>

                                </table>
                                </td>
                                <td rowspan="3"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="10" height="1" border="0" alt=""></td>
                                <td valign="top" width="230" height="30%">
                                <div class="detail">
                                <b><%=dmstoretext.getString("DMSEARCHDETAIL_TEXT1")%></b><br>
                                <%
                                if (desc.length() > MEDIA_MAX_DESCRIPTION)
                                {
                                %>
                                <%=desc.substring(0,MEDIA_MAX_DESCRIPTION)%>
                                <a href="javascript:display_description('<%=desc%>')" class="more"><%=dmstoretext.getString("DMSEARCHDETAIL_TEXT2")%></a>
                                <%
                                }
                                else
                                {
                                %>
                                <%=desc%>
                                <%
                                }
                                %>
                                <br>
                                </div>
                                </td>
                                <td rowspan="3" bgcolor="#CCCCCC"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="1" border="0" alt=""></td>
                                <td rowspan="3"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="10" height="1" border="0" alt=""></td>
                                <td rowspan="3" valign="top">
                                <%@ include file="DMSearchMetaData.inc" %>
                                </td>
                                </tr>
                                <tr><td bgcolor="#CCCCCC" height="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="0" border="0" alt=""></td></tr>
                                <tr>
                                <td valign="top" width="230" height="60%">
                                <img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="10" height="7" border="0" alt=""><br>
                                <div class="detail">
                                <b><%=dmstoretext.getString("DMSEARCHDETAIL_TEXT3")%></b><br>
                                </div>
                                <%@ include file="DMSearchKeywords.inc" %>
                                </td>
                                </tr>
                                <tr>
                                <td width="15" colspan="6"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="15" border="0" alt=""></td>
                                </tr>
                        </table>
                        </td>
                        </tr>
                        <%
                        //demo.new
                        if ( (imagetype.toUpperCase().equals("VIDEO")) && (videoretrieve) )
                        {
                                %>
<tr><td width="500" height="18" colspan="2" align="right" background="<%=WEBOBJECTS_RELATIVE_URL%>/images/search/clip_storyboard_bar.gif">&nbsp;</td></tr>
                        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="10" alt="" border="0"></td></tr>
                        <tr>
                        <td colspan="2">
                        <table border="0" cellpadding="3" cellspacing="0">
                                <tr>
                                <%@ include file="DMSearchStoryBoard.inc" %>
                                <%// demo.new%>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                </tr>
                                <%
                                }
                                else
                                {
                                %>
                                <tr>
                        <td colspan="2">
                        <table border="0" cellpadding="3" cellspacing="0">
                        <tr>
                        <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                <td>&nbsp;</td>
                                </tr>
                                <%
                                }
								if ( (imagetype.toUpperCase().equals("VIDEO")) && (!videoretrieve) )
								{
								                                %>
<tr><td width="500" height="18" colspan="2" align="right" background="<%=WEBOBJECTS_RELATIVE_URL%>/images/search/clip_storyboard_bar.gif">&nbsp;</td></tr>
                        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="10" alt="" border="0"></td></tr>
						<tr><td colspan="2"><%=dmstoretext.getString("DMCOMMON_LOGMESSAGE31")%></td></tr>
<%
								}
                                %>
                        </table>
                        </td>
                        </tr>
                        <tr><td colspan="2"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="15" alt="" border="0"></td></tr>
                </table>
                </td>
        <td width="35"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="35" height="35" border="0" alt=""></td>
                </tr>
                <!--end main body content row3-->
                </td>
                </tr>
        </table>
        </td>

<!--END BODY CONTENT-->


        </td>
        <td bgcolor="#000000" width="1"><img src="<%=WEBOBJECTS_RELATIVE_URL%>/images/global/spacer.gif" width="1" height="15" border="0" alt=""></td>
        </tr>
</table>

<%
//-----------------
// INCLUDE:  FOOTER
//-----------------
%>
<jsp:include page="DMFooter.jsp" flush="true"/>


<%
//-----------------------------------
// INCLUDE:  MEDIACOMMERCE HTML FORMS
//-----------------------------------
%>
<%@ include file="DMFolderForms.inc" %>
<%@ include file="DMSearchForms.inc" %>

<%
//==========================
// EXCEPTION HANDLING -- END
//==========================
}
catch (Exception e)
{
   /***************************************************************************/
   /* Note:  Do NOT dispatch message here since by this point, some HTML code */
   /*        may have already been written and some browsers will NOT display */
   /*        a new HTML page before the current HTML page is completed.       */
   /***************************************************************************/

   //--- Set the message
   String msg = dmstoretext.getString("DMCOMMON_TEXT1") + e.toString();

   //--- Log the message
   Message.logMessage(msg,0);
   %>
   <br><b><%=dmstoretext.getString("DMCOMMON_TEXT1")%></b>
   <%

   //--- Display the error as part of the current HTML page
   if (msg.indexOf("DGL0391") != -1)
   {
   %>
   <%=dmstoretext.getString("DMCOMMON_TEXT7")%>
   <%
   }
   if (msg.indexOf("3016") != -1)
   {
   %>
   <%=dmstoretext.getString("DMCOMMON_TEXT8")%>
   <%
   }
   %>

   <%

   //--- Print a dump of the exception
   //e.printStackTrace();
}
%>

</BODY>
</HTML>
<%
}
%>
